Author: jarod
Update of /cvs/free/rpms/mythtv/devel
In directory se02.es.rpmfusion.net:/tmp/cvs-serv22148
Modified Files:
mythtv.spec
Added Files:
mythplugins-0.24-fixes.patch mythtv-0.24-fixes.patch
mythweb-0.24-fixes.patch
Removed Files:
mythplugins-compile_fixes_for_qt_4_7.patch
mythtv-0.22-svnfixes.patch
mythtv-compile_fixes_for_qt_4_7.patch
Log Message:
* Mon Feb 28 2011 Jarod Wilson <jarod(a)wilsonet.com> 0.24-6
- Update to 0.24 fixes, git revision 4af46b1f5d
- Fix mythtv version output to properly show git revision
mythplugins-0.24-fixes.patch:
.gitignore | 6
mytharchive/i18n/.gitignore | 1
mytharchive/mytharchive/recordingselector.cpp | 2
mytharchive/mytharchivehelper/.gitignore | 1
mytharchive/mytharchivehelper/pxsup2dast.c | 2
mytharchive/mythburn/scripts/mythburn.py | 13 -
mytharchive/theme/default-wide/mytharchive-ui.xml | 12
mytharchive/theme/default-wide/mythburn-ui.xml | 7
mytharchive/theme/default/mytharchive-ui.xml | 12
mytharchive/theme/default/mythburn-ui.xml | 7
mythbrowser/i18n/.gitignore | 1
mythbrowser/theme/default-wide/browser-ui.xml | 15 -
mythbrowser/theme/default/browser-ui.xml | 15 -
mythgallery/dcrawplugin/.gitignore | 1
mythgallery/i18n/.gitignore | 1
mythgallery/mythgallery/.gitignore | 1
mythgallery/mythgallery/gallerysettings.cpp | 10
mythgallery/mythgallery/galleryutil.cpp | 4
mythgallery/mythgallery/main.cpp | 3
mythgame/i18n/.gitignore | 1
mythgame/mythgame/.gitignore | 1
mythmusic/i18n/.gitignore | 1
mythmusic/mythmusic/.gitignore | 1
mythmusic/mythmusic/cdrip.cpp | 2
mythmusic/mythmusic/filescanner.cpp | 40 +--
mythmusic/mythmusic/musicplayer.cpp | 5
mythnetvision/i18n/.gitignore | 1
mythnetvision/mythfillnetvision/.gitignore | 1
mythnews/i18n/.gitignore | 1
mythnews/mythnews/main.cpp | 2
mythvideo/i18n/.gitignore | 1
mythvideo/mtd/.gitignore | 1
mythvideo/mythvideo/.gitignore | 1
mythvideo/mythvideo/scripts/jamu.py | 14 -
mythweather/i18n/.gitignore | 1
mythweather/mythweather/scripts/ca_envcan/envcan_animaps.pl | 40 +--
mythweather/mythweather/scripts/ca_envcan/envcan_maps.pl | 127 ++++++++++
mythweather/mythweather/scripts/uk_bbc/bbccurrentxml.pl | 4
mythweather/mythweather/scripts/uk_bbc/bbcthreedayxml.pl | 4
mythweather/mythweather/scripts/wunderground/wunderground-animaps.pl | 1
mythweather/mythweather/scripts/wunderground/wunderground-maps.pl | 1
mythzoneminder/i18n/.gitignore | 1
mythzoneminder/mythzmserver/.gitignore | 1
mythzoneminder/mythzoneminder/zmliveplayer.cpp | 4
mythzoneminder/theme/default-wide/zoneminder-ui.xml | 12
45 files changed, 278 insertions(+), 105 deletions(-)
--- NEW FILE mythplugins-0.24-fixes.patch ---
diff -Naurp mythplugins-0.24.orig/.gitignore mythplugins-0.24.fixes/.gitignore
--- mythplugins-0.24.orig/.gitignore 1969-12-31 19:00:00.000000000 -0500
+++ mythplugins-0.24.fixes/.gitignore 2011-02-28 22:42:02.000000000 -0500
@@ -0,0 +1,6 @@
+Makefile
+themenop
+config.ep
+config.pro
+config.log
+mythconfig.mak
diff -Naurp mythplugins-0.24.orig/mytharchive/i18n/.gitignore
mythplugins-0.24.fixes/mytharchive/i18n/.gitignore
--- mythplugins-0.24.orig/mytharchive/i18n/.gitignore 1969-12-31 19:00:00.000000000 -0500
+++ mythplugins-0.24.fixes/mytharchive/i18n/.gitignore 2011-02-28 22:42:02.000000000
-0500
@@ -0,0 +1 @@
+i18n
diff -Naurp mythplugins-0.24.orig/mytharchive/mytharchive/recordingselector.cpp
mythplugins-0.24.fixes/mytharchive/mytharchive/recordingselector.cpp
--- mythplugins-0.24.orig/mytharchive/mytharchive/recordingselector.cpp 2010-10-06
06:38:18.000000000 -0400
+++ mythplugins-0.24.fixes/mytharchive/mytharchive/recordingselector.cpp 2011-02-28
22:42:02.000000000 -0500
@@ -116,7 +116,7 @@ bool RecordingSelector::Create(void)
void RecordingSelector::Init(void)
{
- QString message = tr("Retrieving Recording List. Please Wait...");
+ QString message = tr("Retrieving Recording List.\nPlease Wait...");
MythScreenStack *popupStack = GetMythMainWindow()->GetStack("popup
stack");
diff -Naurp mythplugins-0.24.orig/mytharchive/mytharchivehelper/.gitignore
mythplugins-0.24.fixes/mytharchive/mytharchivehelper/.gitignore
--- mythplugins-0.24.orig/mytharchive/mytharchivehelper/.gitignore 1969-12-31
19:00:00.000000000 -0500
+++ mythplugins-0.24.fixes/mytharchive/mytharchivehelper/.gitignore 2011-02-28
22:42:02.000000000 -0500
@@ -0,0 +1 @@
+mytharchivehelper
diff -Naurp mythplugins-0.24.orig/mytharchive/mytharchivehelper/pxsup2dast.c
mythplugins-0.24.fixes/mytharchive/mytharchivehelper/pxsup2dast.c
--- mythplugins-0.24.orig/mytharchive/mytharchivehelper/pxsup2dast.c 2010-08-28
16:16:22.000000000 -0400
+++ mythplugins-0.24.fixes/mytharchive/mytharchivehelper/pxsup2dast.c 2011-02-28
22:42:02.000000000 -0500
@@ -1,6 +1,6 @@
/*
#
- # $Id: pxsup2dast.c 25914 2010-08-28 20:16:22Z xris $
+ # $Id$
#
# Project X sup to dvdauthor subtitle xml file.
# too ät iki piste fi
diff -Naurp mythplugins-0.24.orig/mytharchive/mythburn/scripts/mythburn.py
mythplugins-0.24.fixes/mytharchive/mythburn/scripts/mythburn.py
--- mythplugins-0.24.orig/mytharchive/mythburn/scripts/mythburn.py 2010-10-06
09:07:39.000000000 -0400
+++ mythplugins-0.24.fixes/mytharchive/mythburn/scripts/mythburn.py 2011-02-28
22:42:02.000000000 -0500
@@ -38,7 +38,7 @@
#******************************************************************************
# version of script - change after each update
-VERSION="0.1.20101006-1"
+VERSION="0.1.20101206-1"
# keep all temporary files for debugging purposes
# set this to True before a first run through when testing
@@ -400,7 +400,7 @@ def getThemeFile(theme,file):
# Returns the path where we can find our fonts
def getFontPathName(fontname):
- return os.path.join(sharepath, fontname)
+ return os.path.join(sharepath, "fonts", fontname)
#############################################################
# Creates a file path where the temp files for a video file can be created
@@ -2677,12 +2677,16 @@ def deMultiplexMPEG2File(folder, mediafi
command += "-a %d " % (audio1[AUDIO_ID])
elif audio1[AUDIO_CODEC] == 'AC3':
command += "-c %d " % (audio1[AUDIO_ID])
+ elif audio1[AUDIO_CODEC] == 'EAC3':
+ command += "-c %d " % (audio1[AUDIO_ID])
if audio2[AUDIO_ID] != -1:
if audio2[AUDIO_CODEC] == 'MP2':
command += "-a %d " % (audio2[AUDIO_ID])
elif audio2[AUDIO_CODEC] == 'AC3':
command += "-c %d " % (audio2[AUDIO_ID])
+ elif audio2[AUDIO_CODEC] == 'EAC3':
+ command += "-c %d " % (audio2[AUDIO_ID])
else:
command = "mythreplex --demux --fix_sync -o %s " % (folder +
"/stream")
@@ -2693,12 +2697,17 @@ def deMultiplexMPEG2File(folder, mediafi
command += "-a %d " % (audio1[AUDIO_ID] & 255)
elif audio1[AUDIO_CODEC] == 'AC3':
command += "-c %d " % (audio1[AUDIO_ID] & 255)
+ elif audio1[AUDIO_CODEC] == 'EAC3':
+ command += "-c %d " % (audio1[AUDIO_ID] & 255)
+
if audio2[AUDIO_ID] != -1:
if audio2[AUDIO_CODEC] == 'MP2':
command += "-a %d " % (audio2[AUDIO_ID] & 255)
elif audio2[AUDIO_CODEC] == 'AC3':
command += "-c %d " % (audio2[AUDIO_ID] & 255)
+ elif audio2[AUDIO_CODEC] == 'EAC3':
+ command += "-c %d " % (audio2[AUDIO_ID] & 255)
mediafile = quoteFilename(mediafile)
command += mediafile
diff -Naurp mythplugins-0.24.orig/mytharchive/theme/default/mytharchive-ui.xml
mythplugins-0.24.fixes/mytharchive/theme/default/mytharchive-ui.xml
--- mythplugins-0.24.orig/mytharchive/theme/default/mytharchive-ui.xml 2010-09-22
08:39:41.000000000 -0400
+++ mythplugins-0.24.fixes/mytharchive/theme/default/mytharchive-ui.xml 2011-02-28
22:42:02.000000000 -0500
@@ -146,7 +146,7 @@ Common MythArchive window definitions
</statetype>
</state>
<state name="selectedactive" from="active">
- <shape name="buttonbackground">
+ <shape name="background">
<area>0,0,100%,100%</area>
<fill style="gradient">
<gradient start="#52CA38"
end="#349838" />
@@ -154,7 +154,7 @@ Common MythArchive window definitions
</shape>
</state>
<state name="selectedinactive" from="active">
- <shape name="buttonbackground">
+ <shape name="background">
<area>0,0,100%,100%</area>
<fill style="gradient">
<gradient start="#52CA38"
end="#349838" alpha="100" />
@@ -259,7 +259,7 @@ Common MythArchive window definitions
</statetype>
</state>
<state name="selectedactive" from="active">
- <shape name="buttonbackground">
+ <shape name="background">
<area>0,0,100%,100%</area>
<fill style="gradient">
<gradient start="#52CA38"
end="#349838" />
@@ -267,7 +267,7 @@ Common MythArchive window definitions
</shape>
</state>
<state name="selectedinactive" from="active">
- <shape name="buttonbackground">
+ <shape name="background">
<area>0,0,100%,100%</area>
<fill style="gradient">
<gradient start="#52CA38"
end="#349838" alpha="100" />
@@ -330,7 +330,7 @@ Common MythArchive window definitions
</statetype>
</state>
<state name="selectedactive" from="active">
- <shape name="buttonbackground">
+ <shape name="background">
<area>0,0,100%,100%</area>
<fill style="gradient">
<gradient start="#52CA38"
end="#349838" />
@@ -338,7 +338,7 @@ Common MythArchive window definitions
</shape>
</state>
<state name="selectedinactive" from="active">
- <shape name="buttonbackground">
+ <shape name="background">
<area>0,0,100%,100%</area>
<fill style="gradient">
<gradient start="#52CA38"
end="#349838" alpha="100" />
diff -Naurp mythplugins-0.24.orig/mytharchive/theme/default/mythburn-ui.xml
mythplugins-0.24.fixes/mytharchive/theme/default/mythburn-ui.xml
--- mythplugins-0.24.orig/mytharchive/theme/default/mythburn-ui.xml 2010-09-22
08:39:41.000000000 -0400
+++ mythplugins-0.24.fixes/mytharchive/theme/default/mythburn-ui.xml 2011-02-28
22:42:02.000000000 -0500
@@ -10,9 +10,10 @@ MythArchive GUI theme
<window name="profilepopup">
<area>-1,-1,413,426</area>
- <imagetype name="box">
- <filename>mz_function_popup.png</filename>
- </imagetype>
+ <shape name="background" from="basebackground">
+ <area>0,0,413,426</area>
+ <fill color="#000000" alpha="220" />
+ </shape>
<textarea name="title" from="basetextarea">
<area>20,20,360,40</area>
diff -Naurp mythplugins-0.24.orig/mytharchive/theme/default-wide/mytharchive-ui.xml
mythplugins-0.24.fixes/mytharchive/theme/default-wide/mytharchive-ui.xml
--- mythplugins-0.24.orig/mytharchive/theme/default-wide/mytharchive-ui.xml 2010-09-22
08:39:41.000000000 -0400
+++ mythplugins-0.24.fixes/mytharchive/theme/default-wide/mytharchive-ui.xml 2011-02-28
22:42:02.000000000 -0500
@@ -147,7 +147,7 @@ Common MythArchive window definitions
</statetype>
</state>
<state name="selectedactive" from="active">
- <shape name="buttonbackground">
+ <shape name="background">
<area>0,0,100%,100%</area>
<fill style="gradient">
<gradient start="#52CA38"
end="#349838" />
@@ -155,7 +155,7 @@ Common MythArchive window definitions
</shape>
</state>
<state name="selectedinactive" from="active">
- <shape name="buttonbackground">
+ <shape name="background">
<area>0,0,100%,100%</area>
<fill style="gradient">
<gradient start="#52CA38"
end="#349838" alpha="100" />
@@ -261,7 +261,7 @@ Common MythArchive window definitions
</statetype>
</state>
<state name="selectedactive" from="active">
- <shape name="buttonbackground">
+ <shape name="background">
<area>0,0,100%,100%</area>
<fill style="gradient">
<gradient start="#52CA38"
end="#349838" />
@@ -269,7 +269,7 @@ Common MythArchive window definitions
</shape>
</state>
<state name="selectedinactive" from="active">
- <shape name="buttonbackground">
+ <shape name="background">
<area>0,0,100%,100%</area>
<fill style="gradient">
<gradient start="#52CA38"
end="#349838" alpha="100" />
@@ -333,7 +333,7 @@ Common MythArchive window definitions
</statetype>
</state>
<state name="selectedactive" from="active">
- <shape name="buttonbackground">
+ <shape name="background">
<area>0,0,100%,100%</area>
<fill style="gradient">
<gradient start="#52CA38"
end="#349838" />
@@ -341,7 +341,7 @@ Common MythArchive window definitions
</shape>
</state>
<state name="selectedinactive" from="active">
- <shape name="buttonbackground">
+ <shape name="background">
<area>0,0,100%,100%</area>
<fill style="gradient">
<gradient start="#52CA38"
end="#349838" alpha="100" />
diff -Naurp mythplugins-0.24.orig/mytharchive/theme/default-wide/mythburn-ui.xml
mythplugins-0.24.fixes/mytharchive/theme/default-wide/mythburn-ui.xml
--- mythplugins-0.24.orig/mytharchive/theme/default-wide/mythburn-ui.xml 2010-09-22
08:39:41.000000000 -0400
+++ mythplugins-0.24.fixes/mytharchive/theme/default-wide/mythburn-ui.xml 2011-02-28
22:42:02.000000000 -0500
@@ -10,9 +10,10 @@ MythArchive GUI theme
<window name="profilepopup">
<area>-1,-1,413,426</area>
- <imagetype name="box">
- <filename>mz_function_popup.png</filename>
- </imagetype>
+ <shape name="background" from="basebackground">
+ <area>0,0,413,426</area>
+ <fill color="#000000" alpha="220" />
+ </shape>
<textarea name="title" from="basetextarea">
<area>20,20,360,40</area>
diff -Naurp mythplugins-0.24.orig/mythbrowser/i18n/.gitignore
mythplugins-0.24.fixes/mythbrowser/i18n/.gitignore
--- mythplugins-0.24.orig/mythbrowser/i18n/.gitignore 1969-12-31 19:00:00.000000000 -0500
+++ mythplugins-0.24.fixes/mythbrowser/i18n/.gitignore 2011-02-28 22:42:02.000000000
-0500
@@ -0,0 +1 @@
+i18n
diff -Naurp mythplugins-0.24.orig/mythbrowser/theme/default/browser-ui.xml
mythplugins-0.24.fixes/mythbrowser/theme/default/browser-ui.xml
--- mythplugins-0.24.orig/mythbrowser/theme/default/browser-ui.xml 2010-10-09
15:44:27.000000000 -0400
+++ mythplugins-0.24.fixes/mythbrowser/theme/default/browser-ui.xml 2011-02-28
22:42:02.000000000 -0500
@@ -53,9 +53,8 @@
<statetype name="buttonitem">
<area>0,0,180,40</area>
<state name="active">
- <imagetype name="buttonbackground">
- <filename>horiz_selector.png</filename>
- </imagetype>
+ <area>0,0,180,40</area>
+ <shape name="background"
from="basewidgetshape" />
<textarea name="buttontext"
from="basetextarea">
<area>0,0,180,40</area>
<font>basesmall</font>
@@ -63,14 +62,12 @@
</textarea>
</state>
<state name="selectedactive" from="active">
- <imagetype name="buttonbackground">
- <filename>horiz_selector_selected.png</filename>
- </imagetype>
+ <shape name="background"
from="baseselectedwidgetshape" />
</state>
<state name="selectedinactive" from="active">
- <imagetype name="buttonbackground">
- <filename>horiz_selector_inactive.png</filename>
- </imagetype>
+ <textarea name="buttontext">
+ <font>basesmallgrey</font>
+ </textarea>
</state>
</statetype>
<statetype name="downscrollarrow">
diff -Naurp mythplugins-0.24.orig/mythbrowser/theme/default-wide/browser-ui.xml
mythplugins-0.24.fixes/mythbrowser/theme/default-wide/browser-ui.xml
--- mythplugins-0.24.orig/mythbrowser/theme/default-wide/browser-ui.xml 2010-10-09
15:44:27.000000000 -0400
+++ mythplugins-0.24.fixes/mythbrowser/theme/default-wide/browser-ui.xml 2011-02-28
22:42:02.000000000 -0500
@@ -61,9 +61,8 @@
<statetype name="buttonitem">
<area>0,0,180,40</area>
<state name="active">
- <imagetype name="buttonbackground">
- <filename>horiz_selector.png</filename>
- </imagetype>
+ <area>0,0,180,40</area>
+ <shape name="background"
from="basewidgetshape" />
<textarea name="buttontext"
from="basetextarea">
<area>0,0,180,40</area>
<font>basesmall</font>
@@ -73,14 +72,12 @@
</textarea>
</state>
<state name="selectedactive" from="active">
- <imagetype name="buttonbackground">
- <filename>horiz_selector_selected.png</filename>
- </imagetype>
+ <shape name="background"
from="baseselectedwidgetshape" />
</state>
<state name="selectedinactive" from="active">
- <imagetype name="buttonbackground">
- <filename>horiz_selector_inactive.png</filename>
- </imagetype>
+ <textarea name="buttontext">
+ <font>basesmallgrey</font>
+ </textarea>
</state>
</statetype>
<statetype name="downscrollarrow">
diff -Naurp mythplugins-0.24.orig/mythgallery/dcrawplugin/.gitignore
mythplugins-0.24.fixes/mythgallery/dcrawplugin/.gitignore
--- mythplugins-0.24.orig/mythgallery/dcrawplugin/.gitignore 1969-12-31 19:00:00.000000000
-0500
+++ mythplugins-0.24.fixes/mythgallery/dcrawplugin/.gitignore 2011-02-28
22:42:02.000000000 -0500
@@ -0,0 +1 @@
+config.h
diff -Naurp mythplugins-0.24.orig/mythgallery/i18n/.gitignore
mythplugins-0.24.fixes/mythgallery/i18n/.gitignore
--- mythplugins-0.24.orig/mythgallery/i18n/.gitignore 1969-12-31 19:00:00.000000000 -0500
+++ mythplugins-0.24.fixes/mythgallery/i18n/.gitignore 2011-02-28 22:42:02.000000000
-0500
@@ -0,0 +1 @@
+i18n
diff -Naurp mythplugins-0.24.orig/mythgallery/mythgallery/gallerysettings.cpp
mythplugins-0.24.fixes/mythgallery/mythgallery/gallerysettings.cpp
--- mythplugins-0.24.orig/mythgallery/mythgallery/gallerysettings.cpp 2010-08-28
16:16:22.000000000 -0400
+++ mythplugins-0.24.fixes/mythgallery/mythgallery/gallerysettings.cpp 2011-02-28
22:42:02.000000000 -0500
@@ -78,6 +78,15 @@ static HostLineEdit *MythGalleryImportDi
return gc;
};
+static HostCheckBox *MythGalleryAutoLoad()
+{
+ HostCheckBox *gc = new HostCheckBox("GalleryAutoLoad");
+ gc->setLabel(QObject::tr("Automatically load MythGallery to display
pictures"));
+ gc->setValue(false);
+ gc->setHelpText(QObject::tr("When a new CD-Rom or removable storage device
containing pictures is detected then load MythGallery to display the content."));
+ return gc;
+}
+
#ifdef USING_OPENGL
static HostCheckBox *SlideshowUseOpenGL()
@@ -217,6 +226,7 @@ GallerySettings::GallerySettings()
general->addChild(MythGalleryThumbnailLocation());
general->addChild(MythGallerySortOrder());
general->addChild(MythGalleryImportDirs());
+ general->addChild(MythGalleryAutoLoad());
general->addChild(MythGalleryMoviePlayerCmd());
addChild(general);
diff -Naurp mythplugins-0.24.orig/mythgallery/mythgallery/galleryutil.cpp
mythplugins-0.24.fixes/mythgallery/mythgallery/galleryutil.cpp
--- mythplugins-0.24.orig/mythgallery/mythgallery/galleryutil.cpp 2010-08-28
16:16:22.000000000 -0400
+++ mythplugins-0.24.fixes/mythgallery/mythgallery/galleryutil.cpp 2011-02-28
22:42:02.000000000 -0500
@@ -98,7 +98,7 @@ bool GalleryUtil::IsImage(const QString
QStringList::const_iterator it = filt.begin();
for (; it != filt.end(); ++it)
{
- if ((*it).toLower().contains(fi.suffix()))
+ if ((*it).contains(fi.suffix().toLower()))
return true;
}
@@ -115,7 +115,7 @@ bool GalleryUtil::IsMovie(const QString
QStringList::const_iterator it = filt.begin();
for (; it != filt.end(); ++it)
{
- if ((*it).toLower().contains(fi.suffix()))
+ if ((*it).contains(fi.suffix().toLower()))
return true;
}
diff -Naurp mythplugins-0.24.orig/mythgallery/mythgallery/.gitignore
mythplugins-0.24.fixes/mythgallery/mythgallery/.gitignore
--- mythplugins-0.24.orig/mythgallery/mythgallery/.gitignore 1969-12-31 19:00:00.000000000
-0500
+++ mythplugins-0.24.fixes/mythgallery/mythgallery/.gitignore 2011-02-28
22:42:02.000000000 -0500
@@ -0,0 +1 @@
+config.h
diff -Naurp mythplugins-0.24.orig/mythgallery/mythgallery/main.cpp
mythplugins-0.24.fixes/mythgallery/mythgallery/main.cpp
--- mythplugins-0.24.orig/mythgallery/mythgallery/main.cpp 2010-10-18 09:02:43.000000000
-0400
+++ mythplugins-0.24.fixes/mythgallery/mythgallery/main.cpp 2011-02-28 22:42:02.000000000
-0500
@@ -59,6 +59,9 @@ static void runGallery(void)
static void handleMedia(MythMediaDevice *dev)
{
+ if (! gCoreContext->GetNumSetting("GalleryAutoLoad", 0))
+ return;
+
if (dev && dev->isUsable())
run(dev);
}
diff -Naurp mythplugins-0.24.orig/mythgame/i18n/.gitignore
mythplugins-0.24.fixes/mythgame/i18n/.gitignore
--- mythplugins-0.24.orig/mythgame/i18n/.gitignore 1969-12-31 19:00:00.000000000 -0500
+++ mythplugins-0.24.fixes/mythgame/i18n/.gitignore 2011-02-28 22:42:02.000000000 -0500
@@ -0,0 +1 @@
+i18n
diff -Naurp mythplugins-0.24.orig/mythgame/mythgame/.gitignore
mythplugins-0.24.fixes/mythgame/mythgame/.gitignore
--- mythplugins-0.24.orig/mythgame/mythgame/.gitignore 1969-12-31 19:00:00.000000000
-0500
+++ mythplugins-0.24.fixes/mythgame/mythgame/.gitignore 2011-02-28 22:42:02.000000000
-0500
@@ -0,0 +1 @@
+gameui.moc
diff -Naurp mythplugins-0.24.orig/mythmusic/i18n/.gitignore
mythplugins-0.24.fixes/mythmusic/i18n/.gitignore
--- mythplugins-0.24.orig/mythmusic/i18n/.gitignore 1969-12-31 19:00:00.000000000 -0500
+++ mythplugins-0.24.fixes/mythmusic/i18n/.gitignore 2011-02-28 22:42:02.000000000 -0500
@@ -0,0 +1 @@
+i18n
diff -Naurp mythplugins-0.24.orig/mythmusic/mythmusic/cdrip.cpp
mythplugins-0.24.fixes/mythmusic/mythmusic/cdrip.cpp
--- mythplugins-0.24.orig/mythmusic/mythmusic/cdrip.cpp 2010-09-12 18:53:44.000000000
-0400
+++ mythplugins-0.24.fixes/mythmusic/mythmusic/cdrip.cpp 2011-02-28 22:42:02.000000000
-0500
@@ -945,8 +945,6 @@ QString Ripper::filenameFromMetadata(Met
VERBOSE(VB_GENERAL, QString("Invalid file storage definition."));
}
- filename = QString(filename.toLocal8Bit().constData());
-
QStringList directoryList = filename.split("/");
for (int i = 0; i < (directoryList.size() - 1); i++)
{
diff -Naurp mythplugins-0.24.orig/mythmusic/mythmusic/filescanner.cpp
mythplugins-0.24.fixes/mythmusic/mythmusic/filescanner.cpp
--- mythplugins-0.24.orig/mythmusic/mythmusic/filescanner.cpp 2010-05-13
00:18:15.000000000 -0400
+++ mythplugins-0.24.fixes/mythmusic/mythmusic/filescanner.cpp 2011-02-28
22:42:02.000000000 -0500
@@ -22,7 +22,7 @@ FileScanner::FileScanner ()
MSqlQuery query(MSqlQuery::InitCon());
// Cache the directory ids from the database
- query.prepare("SELECT directory_id, LOWER(path) FROM music_directories");
+ query.prepare("SELECT directory_id, path FROM music_directories");
if (query.exec())
{
while(query.next())
@@ -109,12 +109,12 @@ void FileScanner::BuildFileList(QString
QString dir(filename);
dir.remove(0, m_startdir.length());
- newparentid = m_directoryid[QString(dir.toUtf8()).toLower()];
+ newparentid = m_directoryid[dir];
if (newparentid == 0)
{
int id = GetDirectoryId(dir, parentid);
- m_directoryid[QString(dir.toUtf8()).toLower()] = id;
+ m_directoryid[dir] = id;
if (id > 0)
{
@@ -252,8 +252,7 @@ void FileScanner::AddFileToDB(const QStr
query.prepare("INSERT INTO music_albumart SET filename = :FILE, "
"directory_id = :DIRID, imagetype = :TYPE;");
query.bindValue(":FILE", name);
- query.bindValue(":DIRID", m_directoryid[
- QString(directory.toUtf8()).toLower()]);
+ query.bindValue(":DIRID", m_directoryid[directory]);
query.bindValue(":TYPE", AlbumArtImages::guessImageType(name));
if (!query.exec() || query.numRowsAffected() <= 0)
@@ -274,24 +273,24 @@ void FileScanner::AddFileToDB(const QStr
QString album_cache_string;
// Set values from cache
- int did = m_directoryid[QString(directory.toUtf8()).toLower()];
+ int did = m_directoryid[directory];
if (did > 0)
data->setDirectoryId(did);
- int aid = m_artistid[QString(data->Artist().toUtf8()).toLower()];
+ int aid = m_artistid[data->Artist().toLower()];
if (aid > 0)
{
data->setArtistId(aid);
// The album cache depends on the artist id
album_cache_string = data->getArtistId() + "#"
- + QString(data->Album().toUtf8()).toLower();
+ + data->Album().toLower();
if (m_albumid[album_cache_string] > 0)
data->setAlbumId(m_albumid[album_cache_string]);
}
- int gid = m_genreid[QString(data->Genre().toUtf8()).toLower()];
+ int gid = m_genreid[data->Genre().toLower()];
if (gid > 0)
data->setGenreId(gid);
@@ -299,14 +298,14 @@ void FileScanner::AddFileToDB(const QStr
data->dumpToDatabase();
// Update the cache
- m_artistid[QString(data->Artist().toUtf8()).toLower()] =
+ m_artistid[data->Artist().toLower()] =
data->getArtistId();
- m_genreid[QString(data->Genre().toUtf8()).toLower()] =
+ m_genreid[data->Genre().toLower()] =
data->getGenreId();
album_cache_string = data->getArtistId() + "#"
- + QString(data->Album().toUtf8()).toLower();
+ + data->Album().toLower();
m_albumid[album_cache_string] = data->getAlbumId();
delete data;
}
@@ -445,8 +444,7 @@ void FileScanner::RemoveFileFromDB (cons
query.prepare("DELETE FROM music_albumart WHERE filename= :FILE AND "
"directory_id= :DIRID;");
query.bindValue(":FILE", sqlfilename);
- query.bindValue(":DIRID", m_directoryid[
- QString(directory.toUtf8()).toLower()]);
+ query.bindValue(":DIRID", m_directoryid[directory]);
if (!query.exec() || query.numRowsAffected() <= 0)
{
@@ -491,24 +489,24 @@ void FileScanner::UpdateFileInDB(const Q
QString album_cache_string;
// Set values from cache
- int did = m_directoryid[QString(directory.toUtf8()).toLower()];
+ int did = m_directoryid[directory];
if (did > 0)
disk_meta->setDirectoryId(did);
- int aid = m_artistid[QString(disk_meta->Artist().toUtf8()).toLower()];
+ int aid = m_artistid[disk_meta->Artist().toLower()];
if (aid > 0)
{
disk_meta->setArtistId(aid);
// The album cache depends on the artist id
album_cache_string = disk_meta->getArtistId() + "#" +
- QString(disk_meta->Album().toUtf8()).toLower();
+ disk_meta->Album().toLower();
if (m_albumid[album_cache_string] > 0)
disk_meta->setAlbumId(m_albumid[album_cache_string]);
}
- int gid = m_genreid[QString(disk_meta->Genre().toUtf8()).toLower()];
+ int gid = m_genreid[disk_meta->Genre().toLower()];
if (gid > 0)
disk_meta->setGenreId(gid);
@@ -516,12 +514,12 @@ void FileScanner::UpdateFileInDB(const Q
disk_meta->dumpToDatabase();
// Update the cache
- m_artistid[QString(disk_meta->Artist().toUtf8()).toLower()]
+ m_artistid[disk_meta->Artist().toLower()]
= disk_meta->getArtistId();
- m_genreid[QString(disk_meta->Genre().toUtf8()).toLower()]
+ m_genreid[disk_meta->Genre().toLower()]
= disk_meta->getGenreId();
album_cache_string = disk_meta->getArtistId() + "#" +
- QString(disk_meta->Album().toUtf8()).toLower();
+ disk_meta->Album().toLower();
m_albumid[album_cache_string] = disk_meta->getAlbumId();
}
diff -Naurp mythplugins-0.24.orig/mythmusic/mythmusic/.gitignore
mythplugins-0.24.fixes/mythmusic/mythmusic/.gitignore
--- mythplugins-0.24.orig/mythmusic/mythmusic/.gitignore 1969-12-31 19:00:00.000000000
-0500
+++ mythplugins-0.24.fixes/mythmusic/mythmusic/.gitignore 2011-02-28 22:42:02.000000000
-0500
@@ -0,0 +1 @@
+config.h
diff -Naurp mythplugins-0.24.orig/mythmusic/mythmusic/musicplayer.cpp
mythplugins-0.24.fixes/mythmusic/mythmusic/musicplayer.cpp
--- mythplugins-0.24.orig/mythmusic/mythmusic/musicplayer.cpp 2010-10-10
17:59:02.000000000 -0400
+++ mythplugins-0.24.fixes/mythmusic/mythmusic/musicplayer.cpp 2011-02-28
22:42:02.000000000 -0500
@@ -993,8 +993,9 @@ void MusicPlayer::decoderHandlerReady(vo
VERBOSE(VB_PLAYBACK, QString ("decoder handler is ready, decoding %1").
arg(getDecoder()->getFilename()));
- if (getDecoder()->getFilename().contains("cda") == 1)
- dynamic_cast<CdDecoder*>(getDecoder())->setDevice(m_CDdevice);
+ CdDecoder *cddecoder = dynamic_cast<CdDecoder*>(getDecoder());
+ if (cddecoder)
+ cddecoder->setDevice(m_CDdevice);
getDecoder()->setOutput(m_output);
//getDecoder()-> setBlockSize(2 * 1024);
diff -Naurp mythplugins-0.24.orig/mythnetvision/i18n/.gitignore
mythplugins-0.24.fixes/mythnetvision/i18n/.gitignore
--- mythplugins-0.24.orig/mythnetvision/i18n/.gitignore 1969-12-31 19:00:00.000000000
-0500
+++ mythplugins-0.24.fixes/mythnetvision/i18n/.gitignore 2011-02-28 22:42:02.000000000
-0500
@@ -0,0 +1 @@
+i18n
diff -Naurp mythplugins-0.24.orig/mythnetvision/mythfillnetvision/.gitignore
mythplugins-0.24.fixes/mythnetvision/mythfillnetvision/.gitignore
--- mythplugins-0.24.orig/mythnetvision/mythfillnetvision/.gitignore 1969-12-31
19:00:00.000000000 -0500
+++ mythplugins-0.24.fixes/mythnetvision/mythfillnetvision/.gitignore 2011-02-28
22:42:02.000000000 -0500
@@ -0,0 +1 @@
+mythfillnetvision
diff -Naurp mythplugins-0.24.orig/mythnews/i18n/.gitignore
mythplugins-0.24.fixes/mythnews/i18n/.gitignore
--- mythplugins-0.24.orig/mythnews/i18n/.gitignore 1969-12-31 19:00:00.000000000 -0500
+++ mythplugins-0.24.fixes/mythnews/i18n/.gitignore 2011-02-28 22:42:02.000000000 -0500
@@ -0,0 +1 @@
+i18n
diff -Naurp mythplugins-0.24.orig/mythnews/mythnews/main.cpp
mythplugins-0.24.fixes/mythnews/mythnews/main.cpp
--- mythplugins-0.24.orig/mythnews/mythnews/main.cpp 2010-08-29 18:21:36.000000000 -0400
+++ mythplugins-0.24.fixes/mythnews/mythnews/main.cpp 2011-02-28 22:42:02.000000000 -0500
@@ -69,7 +69,7 @@ int mythplugin_init(const char *libversi
"Couldn't upgrade database to new schema, exiting.");
return -1;
}
- gCoreContext->ActivateSettingsCache(false);
+ gCoreContext->ActivateSettingsCache(true);
setupKeys();
diff -Naurp mythplugins-0.24.orig/mythvideo/i18n/.gitignore
mythplugins-0.24.fixes/mythvideo/i18n/.gitignore
--- mythplugins-0.24.orig/mythvideo/i18n/.gitignore 1969-12-31 19:00:00.000000000 -0500
+++ mythplugins-0.24.fixes/mythvideo/i18n/.gitignore 2011-02-28 22:42:02.000000000 -0500
@@ -0,0 +1 @@
+i18n
diff -Naurp mythplugins-0.24.orig/mythvideo/mtd/.gitignore
mythplugins-0.24.fixes/mythvideo/mtd/.gitignore
--- mythplugins-0.24.orig/mythvideo/mtd/.gitignore 1969-12-31 19:00:00.000000000 -0500
+++ mythplugins-0.24.fixes/mythvideo/mtd/.gitignore 2011-02-28 22:42:02.000000000 -0500
@@ -0,0 +1 @@
+mtd
diff -Naurp mythplugins-0.24.orig/mythvideo/mythvideo/.gitignore
mythplugins-0.24.fixes/mythvideo/mythvideo/.gitignore
--- mythplugins-0.24.orig/mythvideo/mythvideo/.gitignore 1969-12-31 19:00:00.000000000
-0500
+++ mythplugins-0.24.fixes/mythvideo/mythvideo/.gitignore 2011-02-28 22:42:02.000000000
-0500
@@ -0,0 +1 @@
+*.moc
diff -Naurp mythplugins-0.24.orig/mythvideo/mythvideo/scripts/jamu.py
mythplugins-0.24.fixes/mythvideo/mythvideo/scripts/jamu.py
--- mythplugins-0.24.orig/mythvideo/mythvideo/scripts/jamu.py 2010-09-12
12:10:46.000000000 -0400
+++ mythplugins-0.24.fixes/mythvideo/mythvideo/scripts/jamu.py 2011-02-28
22:42:02.000000000 -0500
@@ -306,6 +306,8 @@ __version__=u"v0.7.7"
# 0.7.5 Added the TMDB MovieRating as videometadata table "rating" field
# 0.7.6 Modifications to support MythTV python bindings changes
# 0.7.7 Pull hostname from python bindings instead of socket libraries
+ # Added support of unicode characters within a jamu.conf file
+ # Replace 'xml' module version check with generic Python version, to
correct failure in Python 2.7
usage_txt=u'''
@@ -476,14 +478,10 @@ class OutStreamEncoder(object):
sys.stdout = OutStreamEncoder(sys.stdout, 'utf8')
sys.stderr = OutStreamEncoder(sys.stderr, 'utf8')
-try:
- import xml
-except Exception, e:
- print '''The python module xml must be installed.
error(%s)''' % e
+if sys.version_info <= (2,5):
+ print '''JAMU requires Python 2.5 or newer to run.'''
sys.exit(1)
-if xml.__version__ < u'41660':
- print '''
-\n! Warning - The module xml (v41660 or greater) must be installed. Your version is
different (v%s) than what Jamu was tested with. Jamu may not work on your
installation.\nIt is recommended that you upgrade.\n''' % xml.__version__
+
import xml.etree.cElementTree as ElementTree
@@ -1246,7 +1244,7 @@ class Configuration(object):
)
sys.exit(1)
cfg = ConfigParser.SafeConfigParser()
- cfg.read(useroptions)
+ cfg.readfp(codecs.open(useroptions, "r", "utf8"))
for section in cfg.sections():
if section[:5] == 'File ':
self.config['config_file'] = section[5:]
diff -Naurp mythplugins-0.24.orig/mythweather/i18n/.gitignore
mythplugins-0.24.fixes/mythweather/i18n/.gitignore
--- mythplugins-0.24.orig/mythweather/i18n/.gitignore 1969-12-31 19:00:00.000000000 -0500
+++ mythplugins-0.24.fixes/mythweather/i18n/.gitignore 2011-02-28 22:42:02.000000000
-0500
@@ -0,0 +1 @@
+i18n
diff -Naurp
mythplugins-0.24.orig/mythweather/mythweather/scripts/ca_envcan/envcan_animaps.pl
mythplugins-0.24.fixes/mythweather/mythweather/scripts/ca_envcan/envcan_animaps.pl
---
mythplugins-0.24.orig/mythweather/mythweather/scripts/ca_envcan/envcan_animaps.pl 2010-06-22
00:11:23.000000000 -0400
+++
mythplugins-0.24.fixes/mythweather/mythweather/scripts/ca_envcan/envcan_animaps.pl 2011-02-28
22:42:02.000000000 -0500
@@ -1,4 +1,5 @@
#!/usr/bin/perl
+# vim:ts=4:sw=4:ai:et:si:sts=4
#
# Animated satellite map grabber for Environment Canada.
#
@@ -13,6 +14,7 @@ use strict;
use warnings;
use English;
+use File::Path;
use File::Basename;
use Cwd 'abs_path';
use lib dirname(abs_path($0 or $PROGRAM_NAME)),
@@ -23,17 +25,18 @@ use Getopt::Std;
use LWP::Simple;
use Date::Manip;
use ENVCANMapSearch;
+use Image::Magick;
our ($opt_v, $opt_t, $opt_T, $opt_l, $opt_u, $opt_d);
my $name = 'ENVCAN-Animated-Map';
-my $version = 0.3;
+my $version = 0.4;
my $author = 'Joe Ripley';
my $email = 'vitaminjoe(a)gmail.com';
my $updateTimeout = 10*60;
my $retrieveTimeout = 30;
-my @types = ('amdesc', 'updatetime', 'animatedimage');
-my $dir = "./";
+my @types = ('amdesc', 'updatetime', 'animatedimage',
'copyright');
+my $dir = "/tmp/envcan";
getopts('Tvtlu:d:');
@@ -66,6 +69,10 @@ if (defined $opt_d) {
$dir = $opt_d;
}
+if (!-d $dir) {
+ mkpath( $dir, {mode => 0755} );
+}
+
my $loc = shift;
if (!defined $loc || $loc eq "") {
@@ -97,24 +104,27 @@ foreach my $line (split(/\n/, $response)
# Download map files, if necessary (maps are stale after 15 minutes)
my $i = 0;
+my $outimage = Image::Magick->new;
foreach my $image (@image_list) {
my $getImage = 1;
- if (-f $path . $i) {
+ if (-f "$path$i" ) {
my @stats = stat(_);
- if ($stats[9] > (time - 900)) { $i++; next; }
+ if ($stats[9] > (time - 900)) {
+ $outimage->Read( "$path$i" );
+ $i++;
+ next;
+ }
}
- getstore($base_url . $image, $path . $i);
+ getstore($base_url . $image, "$path$i");
+ $outimage->Read( "$path$i" );
$i++;
}
-# Determine image size
-if (!$size) {
- use Image::Size;
- my ($x, $y) = imgsize("${path}0");
- $size = "${x}x$y" if ($x && $y);
-}
+$outimage->Write( filename => "$dir/$file.gif", delay => 75 );
-print "amdesc::$desc\n";
-printf "animatedimage::${path}%%1-$i%s\n", ($size && "-$size"
|| '');
-print "updatetime::Last Updated on " . UnixDate("now", "%b %d,
%I:%M %p %Z") . "\n";
+print "amdesc::$desc\n";
+print "animatedimage::$dir/$file.gif\n";
+print "updatetime::Last Updated on " .
+ UnixDate("now", "%b %d, %I:%M %p %Z") . "\n";
+print "copyright::Environment Canada\n";
diff -Naurp mythplugins-0.24.orig/mythweather/mythweather/scripts/ca_envcan/envcan_maps.pl
mythplugins-0.24.fixes/mythweather/mythweather/scripts/ca_envcan/envcan_maps.pl
---
mythplugins-0.24.orig/mythweather/mythweather/scripts/ca_envcan/envcan_maps.pl 1969-12-31
19:00:00.000000000 -0500
+++
mythplugins-0.24.fixes/mythweather/mythweather/scripts/ca_envcan/envcan_maps.pl 2011-02-28
22:42:02.000000000 -0500
@@ -0,0 +1,127 @@
+#!/usr/bin/perl
+# vim:ts=4:sw=4:ai:et:si:sts=4
+#
+# Static satellite map grabber for Environment Canada.
+#
+# This script downloads satellite map data from the Environment Canada
+# website. It uses the lists of JPEG images supplied by the page at
+#
http://www.weatheroffice.gc.ca/satellite/index_e.html.
+#
+# The bulk of the code in this script was originally authored by
+# Lucien Dunning (ldunning(a)gmail.com).
+# Based on envcan_animaps.pl by Joe Ripley <vitaminjoe(a)gmail.com>
+
+use strict;
+use warnings;
+
+use English;
+use File::Path;
+use File::Basename;
+use Cwd 'abs_path';
+use lib dirname(abs_path($0 or $PROGRAM_NAME)),
+ '/usr/share/mythtv/mythweather/scripts/ca_envcan',
+ '/usr/local/share/mythtv/mythweather/scripts/ca_envcan';
+
+use Getopt::Std;
+use LWP::Simple;
+use Date::Manip;
+use ENVCANMapSearch;
+use Image::Magick;
+
+our ($opt_v, $opt_t, $opt_T, $opt_l, $opt_u, $opt_d);
+
+my $name = 'ENVCAN-Static-Map';
+my $version = 0.1;
+my $author = 'Gavin Hurlbut';
+my $email = 'gjhurlbu(a)gmail.com';
+my $updateTimeout = 10*60;
+my $retrieveTimeout = 30;
+my @types = ('smdesc', 'updatetime', 'map',
'copyright');
+my $dir = "/tmp/envcan";
+
+getopts('Tvtlu:d:');
+
+if (defined $opt_v) {
+ print "$name,$version,$author,$email\n";
+ exit 0;
+}
+
+if (defined $opt_T) {
+ print "$updateTimeout,$retrieveTimeout\n";
+ exit 0;
+}
+if (defined $opt_l) {
+ my $search = shift;
+ ENVCANMapSearch::AddSatSearch($search);
+ ENVCANMapSearch::AddSatClassSearch($search);
+ ENVCANMapSearch::AddImageTypeSearch($search);
+ foreach my $result (@{ENVCANMapSearch::doSearch()}) {
+ print "$result->{entry_id}::($result->{satellite_class})
$result->{satellite} $result->{image_type}\n";
+ }
+ exit 0;
+}
+
+if (defined $opt_t) {
+ foreach (@types) {print; print "\n";}
+ exit 0;
+}
+
+if (defined $opt_d) {
+ $dir = $opt_d;
+}
+
+if (!-d $dir) {
+ mkpath( $dir, {mode => 0755} );
+}
+
+my $loc = shift;
+
+if (!defined $loc || $loc eq "") {
+ die "Invalid usage";
+}
+
+# Get map info
+ENVCANMapSearch::AddAniSearch($loc);
+my $results = ENVCANMapSearch::doSearch();
+my $desc = $results->[0]->{satellite};
+
+# Get HTML and find image list
+my $response = get $results->[0]->{animated_url};
+die unless defined $response;
+
+my @image_list;
+my $size;
+my $base_url = "http://www.weatheroffice.gc.ca";
+my $file = $loc;
+my $path = "$dir/$file";
+
+# Get list of images (at most 10)
+foreach my $line (split(/\n/, $response)) {
+ if ($line =~ /theImagesComplete\[\d*\] \= \"(.*)\"\;/) {
+ push (@image_list, $1);
+ if ($#image_list >= 1) { shift @image_list; }
+ }
+}
+
+# Download map file, if necessary (maps are stale after 15 minutes)
+my $image = shift @image_list;
+my $ext = $image;
+$ext =~ s/.*\.(.*?)$/$1/;
+
+my $cached = 0;
+if (-f "$path.$ext" ) {
+ my @stats = stat(_);
+ if ($stats[9] > (time - 900)) {
+ $cached = 1;
+ }
+}
+
+if (!$cached) {
+ getstore($base_url . $image, "$path.$ext");
+}
+
+print "smdesc::$desc\n";
+print "map::$path.$ext\n";
+print "updatetime::Last Updated on " .
+ UnixDate("now", "%b %d, %I:%M %p %Z") . "\n";
+print "copyright::Environment Canada\n";
diff -Naurp mythplugins-0.24.orig/mythweather/mythweather/scripts/uk_bbc/bbccurrentxml.pl
mythplugins-0.24.fixes/mythweather/mythweather/scripts/uk_bbc/bbccurrentxml.pl
---
mythplugins-0.24.orig/mythweather/mythweather/scripts/uk_bbc/bbccurrentxml.pl 2010-06-22
00:11:23.000000000 -0400
+++
mythplugins-0.24.fixes/mythweather/mythweather/scripts/uk_bbc/bbccurrentxml.pl 2011-02-28
22:42:02.000000000 -0500
@@ -154,14 +154,14 @@ elsif ($weather_string =~ /^heavy rain$/
}
elsif ($weather_string =~ /^thundery rain$/i ||
$weather_string =~ /^thunder storm$/i ||
- $weather_string =~ /^thundery showers$/i) {
+ $weather_string =~ /^thundery showers?$/i) {
printf "weather_icon::thunshowers.png\n";
}
elsif ($weather_string =~ /^heavy snow$/i) {
printf "weather_icon::snowshow.png\n";
}
elsif ($weather_string =~ /^light snow$/i ||
- $weather_string =~ /^light snow showers$/i) {
+ $weather_string =~ /^light snow showers?$/i) {
printf "weather_icon::flurries.png\n";
}
elsif ($weather_string =~ /^sleet$/i ||
diff -Naurp mythplugins-0.24.orig/mythweather/mythweather/scripts/uk_bbc/bbcthreedayxml.pl
mythplugins-0.24.fixes/mythweather/mythweather/scripts/uk_bbc/bbcthreedayxml.pl
---
mythplugins-0.24.orig/mythweather/mythweather/scripts/uk_bbc/bbcthreedayxml.pl 2010-06-22
00:11:23.000000000 -0400
+++
mythplugins-0.24.fixes/mythweather/mythweather/scripts/uk_bbc/bbcthreedayxml.pl 2011-02-28
22:42:02.000000000 -0500
@@ -179,14 +179,14 @@ foreach $item (@{$xml->{channel}->{item}
}
elsif ($weather_string =~ /^thundery rain$/i ||
$weather_string =~ /^thunder storm$/i ||
- $weather_string =~ /^thundery showers$/i) {
+ $weather_string =~ /^thundery showers?$/i) {
printf "icon-" . $i . "::thunshowers.png\n";
}
elsif ($weather_string =~ /^heavy snow$/i) {
printf "icon-" . $i . "::snowshow.png\n";
}
elsif ($weather_string =~ /^light snow$/i ||
- $weather_string =~ /^light snow showers$/i) {
+ $weather_string =~ /^light snow showers?$/i) {
printf "icon-" . $i . "::flurries.png\n";
}
elsif ($weather_string =~ /^sleet$/i ||
diff -Naurp
mythplugins-0.24.orig/mythweather/mythweather/scripts/wunderground/wunderground-animaps.pl
mythplugins-0.24.fixes/mythweather/mythweather/scripts/wunderground/wunderground-animaps.pl
---
mythplugins-0.24.orig/mythweather/mythweather/scripts/wunderground/wunderground-animaps.pl 2010-10-10
17:47:57.000000000 -0400
+++
mythplugins-0.24.fixes/mythweather/mythweather/scripts/wunderground/wunderground-animaps.pl 2011-02-28
22:42:02.000000000 -0500
@@ -5,6 +5,7 @@ use English;
use strict;
use warnings;
+use File::Path;
use File::Basename;
use Cwd 'abs_path';
use lib dirname(abs_path($0 or $PROGRAM_NAME)),
diff -Naurp
mythplugins-0.24.orig/mythweather/mythweather/scripts/wunderground/wunderground-maps.pl
mythplugins-0.24.fixes/mythweather/mythweather/scripts/wunderground/wunderground-maps.pl
---
mythplugins-0.24.orig/mythweather/mythweather/scripts/wunderground/wunderground-maps.pl 2010-10-10
17:47:57.000000000 -0400
+++
mythplugins-0.24.fixes/mythweather/mythweather/scripts/wunderground/wunderground-maps.pl 2011-02-28
22:42:02.000000000 -0500
@@ -5,6 +5,7 @@ use English;
use strict;
use warnings;
+use File::Path;
use File::Basename;
use Cwd 'abs_path';
use lib dirname(abs_path($0 or $PROGRAM_NAME)),
diff -Naurp mythplugins-0.24.orig/mythzoneminder/i18n/.gitignore
mythplugins-0.24.fixes/mythzoneminder/i18n/.gitignore
--- mythplugins-0.24.orig/mythzoneminder/i18n/.gitignore 1969-12-31 19:00:00.000000000
-0500
+++ mythplugins-0.24.fixes/mythzoneminder/i18n/.gitignore 2011-02-28 22:42:02.000000000
-0500
@@ -0,0 +1 @@
+i18n
diff -Naurp mythplugins-0.24.orig/mythzoneminder/mythzmserver/.gitignore
mythplugins-0.24.fixes/mythzoneminder/mythzmserver/.gitignore
--- mythplugins-0.24.orig/mythzoneminder/mythzmserver/.gitignore 1969-12-31
19:00:00.000000000 -0500
+++ mythplugins-0.24.fixes/mythzoneminder/mythzmserver/.gitignore 2011-02-28
22:42:02.000000000 -0500
@@ -0,0 +1 @@
+mythzmserver
diff -Naurp mythplugins-0.24.orig/mythzoneminder/mythzoneminder/zmliveplayer.cpp
mythplugins-0.24.fixes/mythzoneminder/mythzoneminder/zmliveplayer.cpp
--- mythplugins-0.24.orig/mythzoneminder/mythzoneminder/zmliveplayer.cpp 2010-08-15
06:52:05.000000000 -0400
+++ mythplugins-0.24.fixes/mythzoneminder/mythzoneminder/zmliveplayer.cpp 2011-02-28
22:42:02.000000000 -0500
@@ -12,10 +12,6 @@
*
* ============================================================ */
-#include <iostream>
-#include <sys/shm.h>
-#include <cstdlib>
-
// qt
#include <QDateTime>
#include <QTimer>
diff -Naurp mythplugins-0.24.orig/mythzoneminder/theme/default-wide/zoneminder-ui.xml
mythplugins-0.24.fixes/mythzoneminder/theme/default-wide/zoneminder-ui.xml
--- mythplugins-0.24.orig/mythzoneminder/theme/default-wide/zoneminder-ui.xml 2010-10-06
11:44:50.000000000 -0400
+++ mythplugins-0.24.fixes/mythzoneminder/theme/default-wide/zoneminder-ui.xml 2011-02-28
22:42:02.000000000 -0500
@@ -652,23 +652,23 @@
<window name="zmplayer">
- <font name="label" from="basesmall">
+ <fontdef name="label" from="basesmall">
<color>#ffff00</color>
<size>16</size>
<weight>bold</weight>
- </font>
+ </fontdef>
- <font name="data" from="basesmall">
+ <fontdef name="data" from="basesmall">
<color>#ffffff</color>
<size>14</size>
<weight>bold</weight>
- </font>
+ </fontdef>
- <font name="buttons" from="basesmall">
+ <fontdef name="buttons" from="basesmall">
<color>#ffffff</color>
<size>12</size>
<weight>bold</weight>
- </font>
+ </fontdef>
<textarea name="pagetitle" from="basetextarea">
<area>30,10,570,40</area>
mythtv-0.24-fixes.patch:
.gitignore
| 3
Makefile
| 6
VERSION
| 1
bindings/perl/.gitignore
| 4
bindings/perl/IO/Socket/INET/MythTV.pm
| 8
bindings/perl/MythTV.pm
| 8
bindings/perl/MythTV/Channel.pm
| 8
bindings/perl/MythTV/Program.pm
| 8
bindings/perl/MythTV/Recording.pm
| 8
bindings/perl/MythTV/StorageGroup.pm
| 8
bindings/python/.gitignore
| 1
bindings/python/MythTV/__init__.py
| 4
bindings/python/MythTV/dataheap.py
| 2
bindings/python/MythTV/methodheap.py
| 7
bindings/python/MythTV/mythproto.py
| 2
bindings/python/MythTV/static.py
| 2
bindings/python/MythTV/system.py
| 24
bindings/python/MythTV/utility.py
| 4
configure
| 9
contrib/icons/master_iconmap/channel_icons.pl
| 8
contrib/maintenance/flush_deleted_recgroup.pl
| 8
contrib/maintenance/optimize_mythdb.pl
| 8
contrib/user_jobs/mythlink.pl
| 8
docs/mythtv-HOWTO.sgml
| 123 +
external/.gitignore
| 16
external/FFmpeg/Makefile
| 11
external/FFmpeg/libavcodec/dvbsubdec.c
| 1
external/FFmpeg/libavformat/mpegts.c
| 1
external/FFmpeg/libavformat/rmdec.c
| 7
filters/quickdnr/quickdnr.pro
| 2
i18n/.gitignore
| 1
i18n/mythfrontend_en_gb.qm
| 52
i18n/mythfrontend_en_gb.ts
| 2
i18n/mythfrontend_fr.qm
| 468 +++---
i18n/mythfrontend_fr.ts
| 2
i18n/mythfrontend_pt.qm
| 375 ++--
i18n/mythfrontend_pt.ts
| 2
libs/libavutil/.gitignore
| 1
libs/libmyth/audiooutput.cpp
| 40
libs/libmyth/audiooutput.h
| 3
libs/libmyth/audiooutputalsa.cpp
| 169 +-
libs/libmyth/audiooutputalsa.h
| 7
libs/libmyth/audiooutputbase.cpp
| 395 +++--
libs/libmyth/audiooutputbase.h
| 9
libs/libmyth/audiooutputca.cpp
| 4
libs/libmyth/audiooutputdigitalencoder.h
| 1
libs/libmyth/audiooutputdx.cpp
| 2
libs/libmyth/audiooutputpulse.cpp
| 7
libs/libmyth/audiooutputsettings.cpp
| 14
libs/libmyth/audiooutpututil.cpp
| 26
libs/libmyth/audiooutpututil.h
| 3
libs/libmyth/audiosettings.cpp
| 4
libs/libmyth/mediamonitor-darwin.cpp
| 2
libs/libmythdb/.gitignore
| 2
libs/libmythdb/mythcorecontext.cpp
| 5
libs/libmythdb/mythdownloadmanager.cpp
| 51
libs/libmythdb/mythsystem.cpp
| 14
libs/libmythdb/mythversion.h
| 2
libs/libmythdb/storagegroup.cpp
| 3
libs/libmythfreesurround/freesurround.cpp
| 4
libs/libmythfreesurround/freesurround.h
| 2
libs/libmythmetadata/.gitignore
| 2
libs/libmythmetadata/videometadata.cpp
| 16
libs/libmythsoundtouch/AAFilter.cpp
| 6
libs/libmythsoundtouch/AAFilter.h
| 6
libs/libmythsoundtouch/BPMDetect.h
| 6
libs/libmythsoundtouch/FIFOSampleBuffer.cpp
| 6
libs/libmythsoundtouch/FIFOSampleBuffer.h
| 6
libs/libmythsoundtouch/FIFOSamplePipe.h
| 6
libs/libmythsoundtouch/FIRFilter.cpp
| 6
libs/libmythsoundtouch/FIRFilter.h
| 6
libs/libmythsoundtouch/RateTransposer.cpp
| 6
libs/libmythsoundtouch/RateTransposer.h
| 6
libs/libmythsoundtouch/STTypes.h
| 6
libs/libmythsoundtouch/SoundTouch.cpp
| 6
libs/libmythsoundtouch/SoundTouch.h
| 6
libs/libmythsoundtouch/TDStretch.cpp
| 6
libs/libmythsoundtouch/TDStretch.h
| 6
libs/libmythsoundtouch/cpu_detect.h
| 14
libs/libmythsoundtouch/cpu_detect_x86_gcc.cpp
| 6
libs/libmythsoundtouch/mmx_gcc.cpp
| 6
libs/libmythtv/RingBuffer.cpp
| 39
libs/libmythtv/audioplayer.cpp
| 51
libs/libmythtv/audioplayer.h
| 3
libs/libmythtv/avformatdecoder.cpp
| 257 ++-
libs/libmythtv/avformatdecoder.h
| 8
libs/libmythtv/bswap.h
| 19
libs/libmythtv/cc608reader.cpp
| 1
libs/libmythtv/decoderbase.cpp
| 2
libs/libmythtv/decoderbase.h
| 4
libs/libmythtv/dtvrecorder.cpp
| 30
libs/libmythtv/dtvrecorder.h
| 2
libs/libmythtv/eithelper.cpp
| 16
libs/libmythtv/fourcc.h
| 2
libs/libmythtv/frame.h
| 2
libs/libmythtv/frequencies.c
| 15
libs/libmythtv/frequencytables.cpp
| 4
libs/libmythtv/libmythtv.pro
| 6
libs/libmythtv/minilzo.cpp
| 2
libs/libmythtv/mpeg/H264Parser.cpp
| 424 ++++-
libs/libmythtv/mpeg/H264Parser.h
| 27
libs/libmythtv/mythcommflagplayer.cpp
| 2
libs/libmythtv/mythdvdplayer.cpp
| 10
libs/libmythtv/mythplayer.cpp
| 336 ++--
libs/libmythtv/mythplayer.h
| 36
libs/libmythtv/nuppeldecoder.cpp
| 18
libs/libmythtv/playercontext.cpp
| 2
libs/libmythtv/recordingprofile.cpp
| 8
libs/libmythtv/recordingprofile.h
| 1
libs/libmythtv/subtitlescreen.cpp
| 33
libs/libmythtv/teletextdecoder.cpp
| 51
libs/libmythtv/teletextdecoder.h
| 42
libs/libmythtv/teletextreader.cpp
| 609 ++++++++
libs/libmythtv/teletextreader.h
| 162 ++
libs/libmythtv/teletextscreen.cpp
| 754 +---------
libs/libmythtv/teletextscreen.h
| 154 --
libs/libmythtv/textsubtitleparser.h
| 6
libs/libmythtv/transporteditor.cpp
| 2
libs/libmythtv/transporteditor.h
| 2
libs/libmythtv/tv_play.cpp
| 286 +--
libs/libmythtv/tv_play.h
| 23
libs/libmythtv/tv_rec.cpp
| 4
libs/libmythtv/videodisplayprofile.h
| 1
libs/libmythtv/videoout_d3d.h
| 2
libs/libmythtv/videoout_opengl.h
| 2
libs/libmythtv/videoout_quartz.cpp
| 2
libs/libmythtv/videoout_vdpau.h
| 2
libs/libmythtv/videoout_xv.cpp
| 4
libs/libmythtv/videoout_xv.h
| 6
libs/libmythtv/videooutbase.cpp
| 9
libs/libmythtv/videooutbase.h
| 1
libs/libmythui/mythmainwindow.cpp
| 2
libs/libmythui/mythrender_opengl.cpp
| 21
libs/libmythui/mythrender_opengl.h
| 4
libs/libmythui/mythscreentype.cpp
| 4
libs/libmythui/mythuibuttonlist.cpp
| 2
libs/libmythui/mythuiimage.cpp
| 16
libs/libmythui/mythuistatetype.cpp
| 16
libs/libmythui/mythuiwebbrowser.cpp
| 6
libs/libmythui/util-osx.cpp
| 2
libs/libmythupnp/httprequest.cpp
| 28
libs/libmythupnp/soapclient.cpp
| 6
libs/libmythupnp/threadpool.cpp
| 59
libs/libmythupnp/upnpcds.cpp
| 2
libs/libmythupnp/upnpcdsobjects.cpp
| 2
locales/.gitignore
| 1
programs/mythavtest/.gitignore
| 1
programs/mythbackend/.gitignore
| 1
programs/mythbackend/mainserver.cpp
| 20
programs/mythbackend/playbacksock.cpp
| 2
programs/mythbackend/scheduler.cpp
| 15
programs/mythcommflag/.gitignore
| 1
programs/mythfilldatabase/.gitignore
| 1
programs/mythfrontend/.gitignore
| 1
programs/mythfrontend/exitprompt.cpp
| 25
programs/mythfrontend/globalsettings.cpp
| 115 -
programs/mythfrontend/globalsettings.h
| 5
programs/mythfrontend/guidegrid.cpp
| 7
programs/mythfrontend/playbackbox.cpp
| 13
programs/mythfrontend/playbackbox.h
| 1
programs/mythfrontend/progfind.cpp
| 84 -
programs/mythfrontend/proglist.cpp
| 46
programs/mythfrontend/proglist.h
| 2
programs/mythfrontend/programrecpriority.cpp
| 24
programs/mythjobqueue/.gitignore
| 1
programs/mythlcdserver/.gitignore
| 1
programs/mythpreviewgen/.gitignore
| 1
programs/mythshutdown/.gitignore
| 1
programs/mythtranscode/.gitignore
| 1
programs/mythtranscode/mpeg2fix.cpp
| 2
programs/mythtranscode/mpeg2fix.h
| 2
programs/mythtranscode/replex/.gitignore
| 1
programs/mythtranscode/transcode.cpp
| 9
programs/mythtv-setup/.gitignore
| 1
programs/mythtvosd/.gitignore
| 1
programs/mythwelcome/.gitignore
| 1
programs/scripts/.gitignore
| 1
programs/scripts/database/mythconverg_restore.pl
| 8
programs/scripts/internetcontent/nv_python_libs/bbciplayer/bbciplayer_api.py
| 18
programs/scripts/internetcontent/nv_python_libs/common/common_api.py
| 17
programs/scripts/internetcontent/nv_python_libs/configs/HTML/mtv.html
| 39
programs/scripts/internetcontent/nv_python_libs/configs/XML/bbc_config.xml
| 5
programs/scripts/internetcontent/nv_python_libs/configs/XML/defaultUserPrefs/trailersMashup.xml
| 2
programs/scripts/internetcontent/nv_python_libs/configs/XSLT/tributecaHTML_item.xsl
| 100 -
programs/scripts/internetcontent/nv_python_libs/mtv/mtv_api.py
| 18
programs/scripts/internetcontent/nv_python_libs/xsltfunctions/tributeca_api.py
| 39
themes/.gitignore
| 1
themes/DVR/util_menu.xml
| 7
themes/MythCenter-wide/base.xml
| 1
themes/MythCenter-wide/osd.xml
| 16
themes/MythCenter-wide/schedule-ui.xml
| 2
themes/MythCenter-wide/zoneminder-ui.xml
| 12
themes/MythCenter/base.xml
| 1
version.sh
| 23
194 files changed, 3611 insertions(+), 2856 deletions(-)
--- NEW FILE mythtv-0.24-fixes.patch ---
diff -Naurp mythtv-0.24.orig/bindings/perl/.gitignore
mythtv-0.24.fixes/bindings/perl/.gitignore
--- mythtv-0.24.orig/bindings/perl/.gitignore 1969-12-31 19:00:00.000000000 -0500
+++ mythtv-0.24.fixes/bindings/perl/.gitignore 2011-02-28 22:42:43.000000000 -0500
@@ -0,0 +1,4 @@
+Makefile.perl
+Makefile.perl.*
+blib/
+pm_to_blib
diff -Naurp mythtv-0.24.orig/bindings/perl/IO/Socket/INET/MythTV.pm
mythtv-0.24.fixes/bindings/perl/IO/Socket/INET/MythTV.pm
--- mythtv-0.24.orig/bindings/perl/IO/Socket/INET/MythTV.pm 2009-04-10 20:04:30.000000000
-0400
+++ mythtv-0.24.fixes/bindings/perl/IO/Socket/INET/MythTV.pm 2011-02-28 22:42:43.000000000
-0500
@@ -3,10 +3,10 @@
# A MythTV Socket class that extends IO::Socket::INET to include some
# MythTV-specific data queries
#
-# @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythtv/bindings/perl/IO/Socke...
$
-# @date $Date: 2009-04-10 17:04:30 -0700 (Fri, 10 Apr 2009) $
-# @version $Revision: 20349 $
-# @author $Author: xris $
+# @url $URL$
+# @date $Date$
+# @version $Revision$
+# @author $Author$
# @copyright Silicon Mechanics
#
diff -Naurp mythtv-0.24.orig/bindings/perl/MythTV/Channel.pm
mythtv-0.24.fixes/bindings/perl/MythTV/Channel.pm
--- mythtv-0.24.orig/bindings/perl/MythTV/Channel.pm 2010-05-22 20:48:40.000000000 -0400
+++ mythtv-0.24.fixes/bindings/perl/MythTV/Channel.pm 2011-02-28 22:42:43.000000000 -0500
@@ -3,10 +3,10 @@
#
# Object containing info about a particular MythTV channel.
#
-# @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythtv/bindings/perl/MythTV/C... $
-# @date $Date: 2010-05-22 17:48:40 -0700 (Sat, 22 May 2010) $
-# @version $Revision: 24799 $
-# @author $Author: mdean $
+# @url $URL$
+# @date $Date$
+# @version $Revision$
+# @author $Author$
#
# Make sure that the main MythTV package is loaded
diff -Naurp mythtv-0.24.orig/bindings/perl/MythTV/Program.pm
mythtv-0.24.fixes/bindings/perl/MythTV/Program.pm
--- mythtv-0.24.orig/bindings/perl/MythTV/Program.pm 2010-09-10 22:23:32.000000000 -0400
+++ mythtv-0.24.fixes/bindings/perl/MythTV/Program.pm 2011-02-28 22:42:43.000000000 -0500
@@ -3,10 +3,10 @@
#
# Object containing info about a particular MythTV program.
#
-# @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythtv/bindings/perl/MythTV/P... $
-# @date $Date: 2010-09-10 19:23:32 -0700 (Fri, 10 Sep 2010) $
-# @version $Revision: 26207 $
-# @author $Author: mdean $
+# @url $URL$
+# @date $Date$
+# @version $Revision$
+# @author $Author$
#
package MythTV::Program;
diff -Naurp mythtv-0.24.orig/bindings/perl/MythTV/Recording.pm
mythtv-0.24.fixes/bindings/perl/MythTV/Recording.pm
--- mythtv-0.24.orig/bindings/perl/MythTV/Recording.pm 2010-09-03 15:55:56.000000000
-0400
+++ mythtv-0.24.fixes/bindings/perl/MythTV/Recording.pm 2011-02-28 22:42:43.000000000
-0500
@@ -3,10 +3,10 @@
#
# Object containing info about a particular MythTV recording.
#
-# @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythtv/bindings/perl/MythTV/R... $
-# @date $Date: 2010-09-03 12:55:56 -0700 (Fri, 03 Sep 2010) $
-# @version $Revision: 26106 $
-# @author $Author: danielk $
+# @url $URL$
+# @date $Date$
+# @version $Revision$
+# @author $Author$
#
package MythTV::Recording;
diff -Naurp mythtv-0.24.orig/bindings/perl/MythTV/StorageGroup.pm
mythtv-0.24.fixes/bindings/perl/MythTV/StorageGroup.pm
--- mythtv-0.24.orig/bindings/perl/MythTV/StorageGroup.pm 2009-04-10 20:04:30.000000000
-0400
+++ mythtv-0.24.fixes/bindings/perl/MythTV/StorageGroup.pm 2011-02-28 22:42:43.000000000
-0500
@@ -3,10 +3,10 @@
#
# Object containing info about a particular MythTV Storage Group.
#
-# @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythtv/bindings/perl/MythTV/S... $
-# @date $Date: 2009-04-10 17:04:30 -0700 (Fri, 10 Apr 2009) $
-# @version $Revision: 20349 $
-# @author $Author: xris $
+# @url $URL$
+# @date $Date$
+# @version $Revision$
+# @author $Author$
#
# Make sure that the main MythTV package is loaded
diff -Naurp mythtv-0.24.orig/bindings/perl/MythTV.pm
mythtv-0.24.fixes/bindings/perl/MythTV.pm
--- mythtv-0.24.orig/bindings/perl/MythTV.pm 2010-09-29 13:08:29.000000000 -0400
+++ mythtv-0.24.fixes/bindings/perl/MythTV.pm 2011-02-28 22:42:43.000000000 -0500
@@ -1,10 +1,10 @@
#
# MythTV bindings for perl.
#
-# @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythtv/bindings/perl/MythTV.pm $
-# @date $Date: 2010-09-29 10:08:29 -0700 (Wed, 29 Sep 2010) $
-# @version $Revision: 26574 $
-# @author $Author: wagnerrp $
+# @url $URL$
+# @date $Date$
+# @version $Revision$
+# @author $Author$
#
# Version
diff -Naurp mythtv-0.24.orig/bindings/python/.gitignore
mythtv-0.24.fixes/bindings/python/.gitignore
--- mythtv-0.24.orig/bindings/python/.gitignore 1969-12-31 19:00:00.000000000 -0500
+++ mythtv-0.24.fixes/bindings/python/.gitignore 2011-02-28 22:42:43.000000000 -0500
@@ -0,0 +1 @@
+build/
diff -Naurp mythtv-0.24.orig/bindings/python/MythTV/dataheap.py
mythtv-0.24.fixes/bindings/python/MythTV/dataheap.py
--- mythtv-0.24.orig/bindings/python/MythTV/dataheap.py 2010-11-02 23:15:16.000000000
-0400
+++ mythtv-0.24.fixes/bindings/python/MythTV/dataheap.py 2011-02-28 22:42:43.000000000
-0500
@@ -863,7 +863,7 @@ class Video( VideoSchema, DBDataWrite, C
return vid
def _playOnFe(self, fe):
- return fe.send('play','filename myth://Videos@%s/%s' %
+ return fe.send('play','file myth://Videos@%s/%s' %
(self.host, self.filename))
class VideoGrabber( Grabber ):
diff -Naurp mythtv-0.24.orig/bindings/python/MythTV/__init__.py
mythtv-0.24.fixes/bindings/python/MythTV/__init__.py
--- mythtv-0.24.orig/bindings/python/MythTV/__init__.py 2010-09-09 01:11:01.000000000
-0400
+++ mythtv-0.24.fixes/bindings/python/MythTV/__init__.py 2011-02-28 22:42:43.000000000
-0500
@@ -53,8 +53,10 @@ from methodheap import *
from sys import version_info
if version_info >= (2, 6): # 2.6 or newer
exec(import26)
-else:
+elif version_info >= (2, 5):
exec(importall)
+else:
+ raise Exception("The MythTV Python bindings will only operate against Python 2.5
or later.")
__version__ = OWN_VERSION
static.mysqldb = MySQLdb.version_info
diff -Naurp mythtv-0.24.orig/bindings/python/MythTV/methodheap.py
mythtv-0.24.fixes/bindings/python/MythTV/methodheap.py
--- mythtv-0.24.orig/bindings/python/MythTV/methodheap.py 2010-09-23 00:01:58.000000000
-0400
+++ mythtv-0.24.fixes/bindings/python/MythTV/methodheap.py 2011-02-28 22:42:43.000000000
-0500
@@ -625,9 +625,9 @@ class MythDB( DBCache ):
return ('recorded.%s=%%s' % key, datetime.duck(value), 0)
if key == 'olderthan':
- return ('recorded.starttime>%s', datetime.duck(value), 0)
- if key == 'newerthan':
return ('recorded.starttime<%s', datetime.duck(value), 0)
+ if key == 'newerthan':
+ return ('recorded.starttime>%s', datetime.duck(value), 0)
# recordedprogram matches
@@ -641,8 +641,9 @@ class MythDB( DBCache ):
return ('people.name', 'recordedcredits', 4, 1)
if key == 'livetv':
- if value is None:
+ if (value is None) or (value == False):
return ('recorded.recgroup!=%s', 'LiveTV', 0)
+ return ()
return None
diff -Naurp mythtv-0.24.orig/bindings/python/MythTV/mythproto.py
mythtv-0.24.fixes/bindings/python/MythTV/mythproto.py
--- mythtv-0.24.orig/bindings/python/MythTV/mythproto.py 2010-10-14 11:36:31.000000000
-0400
+++ mythtv-0.24.fixes/bindings/python/MythTV/mythproto.py 2011-02-28 22:42:43.000000000
-0500
@@ -188,7 +188,7 @@ def ftopen(file, mode, forceremote=False
db = DBCache(db)
log = MythLog('Python File Transfer', db=db)
reuri = re.compile(\
-
'myth://((?P<group>.*)@)?(?P<host>[a-zA-Z0-9_\.]*)(:[0-9]*)?/(?P<file>.*)')
+
'myth://((?P<group>.*)@)?(?P<host>[a-zA-Z0-9_\-\.]*)(:[0-9]*)?/(?P<file>.*)')
reip = re.compile('(?:\d{1,3}\.){3}\d{1,3}')
if mode not in ('r','w'):
diff -Naurp mythtv-0.24.orig/bindings/python/MythTV/static.py
mythtv-0.24.fixes/bindings/python/MythTV/static.py
--- mythtv-0.24.orig/bindings/python/MythTV/static.py 2010-10-08 13:55:04.000000000 -0400
+++ mythtv-0.24.fixes/bindings/python/MythTV/static.py 2011-02-28 22:42:43.000000000
-0500
@@ -4,7 +4,7 @@
Contains any static and global variables for MythTV Python Bindings
"""
-OWN_VERSION = (0,24,0,0)
+OWN_VERSION = (0,24,0,2)
SCHEMA_VERSION = 1264
MVSCHEMA_VERSION = 1038
NVSCHEMA_VERSION = 1007
diff -Naurp mythtv-0.24.orig/bindings/python/MythTV/system.py
mythtv-0.24.fixes/bindings/python/MythTV/system.py
[...11679 lines suppressed...]
+
+ def tributecaDebug(self, context, *arg):
+ ''' Routine only used for debugging. Prints out the node
+ passed as an argument. Not to be used in production.
+ Call example: mnvXpath:tributecaDebug(//a)
+ '''
+ testpath = etree.XPath(".//a", namespaces=common.namespaces)
+ print arg
+ count = 0
+ for x in arg:
+ sys.stdout.write(u'\nElement Count (%s):\n' % count)
+# for y in testpath(x):
+# sys.stdout.write(etree.tostring(y, encoding='UTF-8',
pretty_print=True))
+ print "testpath(%s)" % testpath(x)
+ count+=1
+ print
+# sys.stdout.write(etree.tostring(arg[0], encoding='UTF-8',
pretty_print=True))
+ return u"========tributecaDebug Called========="
+ # end tributecaDebug()
+
######################################################################################################
#
# End of XPath extension functions
diff -Naurp mythtv-0.24.orig/themes/DVR/util_menu.xml
mythtv-0.24.fixes/themes/DVR/util_menu.xml
--- mythtv-0.24.orig/themes/DVR/util_menu.xml 2010-08-13 15:45:54.000000000 -0400
+++ mythtv-0.24.fixes/themes/DVR/util_menu.xml 2011-02-28 22:42:43.000000000 -0500
@@ -8,6 +8,13 @@
</button>
<button>
+ <type>NET_VIDEO</type>
+ <text>Internet Video</text>
+ <action>MENU netvisionmenu.xml</action>
+ <depends>mythnetvision</depends>
+ </button>
+
+ <button>
<type>MUSIC</type>
<text>Music</text>
<action>PLUGIN mythmusic</action>
diff -Naurp mythtv-0.24.orig/themes/.gitignore mythtv-0.24.fixes/themes/.gitignore
--- mythtv-0.24.orig/themes/.gitignore 1969-12-31 19:00:00.000000000 -0500
+++ mythtv-0.24.fixes/themes/.gitignore 2011-02-28 22:42:43.000000000 -0500
@@ -0,0 +1 @@
+themes
diff -Naurp mythtv-0.24.orig/themes/MythCenter/base.xml
mythtv-0.24.fixes/themes/MythCenter/base.xml
--- mythtv-0.24.orig/themes/MythCenter/base.xml 2010-09-22 08:39:41.000000000 -0400
+++ mythtv-0.24.fixes/themes/MythCenter/base.xml 2011-02-28 22:42:43.000000000 -0500
@@ -766,6 +766,7 @@
<textarea name="message" from="basetextarea">
<area>170,20,390,125</area>
<align>allcenter</align>
+ <multiline>yes</multiline>
</textarea>
</window>
diff -Naurp mythtv-0.24.orig/themes/MythCenter-wide/base.xml
mythtv-0.24.fixes/themes/MythCenter-wide/base.xml
--- mythtv-0.24.orig/themes/MythCenter-wide/base.xml 2010-10-06 10:17:51.000000000 -0400
+++ mythtv-0.24.fixes/themes/MythCenter-wide/base.xml 2011-02-28 22:42:43.000000000 -0500
@@ -881,6 +881,7 @@
<textarea name="message" from="basetextarea">
<area>170,20,390,126</area>
<align>allcenter</align>
+ <multiline>yes</multiline>
</textarea>
</window>
diff -Naurp mythtv-0.24.orig/themes/MythCenter-wide/osd.xml
mythtv-0.24.fixes/themes/MythCenter-wide/osd.xml
--- mythtv-0.24.orig/themes/MythCenter-wide/osd.xml 2010-11-09 21:44:09.000000000 -0500
+++ mythtv-0.24.fixes/themes/MythCenter-wide/osd.xml 2011-02-28 22:42:43.000000000 -0500
@@ -429,6 +429,22 @@
<fill color="#FFFFFF" alpha="255" />
<alphapulse min="180" max="255"
change="4" />
</shape>
+ <shape name="cuttoright">
+ <area>0,4,3,30</area>
+ <fill color="#FF0000" alpha="255" />
+ </shape>
+ <shape name="cuttoleft">
+ <area>0,4,3,30</area>
+ <fill color="#FF0000" alpha="255" />
+ </shape>
+ <shape name="keeptoright">
+ <area>0,4,3,30</area>
+ <fill color="#00FF00" alpha="255" />
+ </shape>
+ <shape name="keeptoleft">
+ <area>0,4,3,30</area>
+ <fill color="#00FF00" alpha="255" />
+ </shape>
</editbar>
</window>
diff -Naurp mythtv-0.24.orig/themes/MythCenter-wide/schedule-ui.xml
mythtv-0.24.fixes/themes/MythCenter-wide/schedule-ui.xml
--- mythtv-0.24.orig/themes/MythCenter-wide/schedule-ui.xml 2010-10-06 10:17:51.000000000
-0400
+++ mythtv-0.24.fixes/themes/MythCenter-wide/schedule-ui.xml 2011-02-28 22:42:43.000000000
-0500
@@ -532,7 +532,7 @@
<area>240,2,220,24</area>
</textarea>
<textarea name="title"
from="shortstarttimedate">
- <area>475,2,675,24</area>
+ <area>480,2,675,24</area>
</textarea>
<textarea name="card"
from="shortstarttimedate">
<area>1165,2,30,24</area>
diff -Naurp mythtv-0.24.orig/themes/MythCenter-wide/zoneminder-ui.xml
mythtv-0.24.fixes/themes/MythCenter-wide/zoneminder-ui.xml
--- mythtv-0.24.orig/themes/MythCenter-wide/zoneminder-ui.xml 2010-10-06
11:37:20.000000000 -0400
+++ mythtv-0.24.fixes/themes/MythCenter-wide/zoneminder-ui.xml 2011-02-28
22:42:43.000000000 -0500
@@ -652,23 +652,23 @@
<window name="zmplayer">
- <font name="label" from="basesmall">
+ <fontdef name="label" from="basesmall">
<color>#ffff00</color>
<size>16</size>
<weight>bold</weight>
- </font>
+ </fontdef>
- <font name="data" from="basesmall">
+ <fontdef name="data" from="basesmall">
<color>#ffffff</color>
<size>14</size>
<weight>bold</weight>
- </font>
+ </fontdef>
- <font name="buttons" from="basesmall">
+ <fontdef name="buttons" from="basesmall">
<color>#ffffff</color>
<size>12</size>
<weight>bold</weight>
- </font>
+ </fontdef>
<textarea name="pagetitle" from="basetextarea">
<area>30,10,570,40</area>
diff -Naurp mythtv-0.24.orig/VERSION mythtv-0.24.fixes/VERSION
--- mythtv-0.24.orig/VERSION 2010-11-10 12:31:31.000000000 -0500
+++ mythtv-0.24.fixes/VERSION 1969-12-31 19:00:00.000000000 -0500
@@ -1 +0,0 @@
-SOURCE_VERSION="0.24"
diff -Naurp mythtv-0.24.orig/version.sh mythtv-0.24.fixes/version.sh
--- mythtv-0.24.orig/version.sh 2010-08-29 18:22:54.000000000 -0400
+++ mythtv-0.24.fixes/version.sh 2011-02-28 22:42:43.000000000 -0500
@@ -1,12 +1,11 @@
#!/bin/sh
#
# small shell script to generate version.cpp
-# it expects two parameters
+# it expects one parameter
# first parameter is the root of the source directory
-# second parameter is the svn base folder (trunk, branches/release-0-21-fixes)
if test $# -ne 1; then
- echo "Usage: version.sh SVN_TREE_DIR"
+ echo "Usage: version.sh GIT_TREE_DIR"
exit 1
fi
@@ -18,21 +17,21 @@ else
exit 0
fi
-SVNTREEDIR=$1
-SVNREPOPATH="exported"
+GITTREEDIR=$1
+GITREPOPATH="exported"
-SOURCE_VERSION=$(svnversion ${SVNTREEDIR} 2>/dev/null || echo Unknown)
+cd ${GITTREEDIR}
+
+SOURCE_VERSION=$(git describe --dirty || git describe || echo Unknown)
case "${SOURCE_VERSION}" in
exported|Unknown)
- if test -e $SVNTREEDIR/VERSION ; then
- . $SVNTREEDIR/VERSION
+ if test -e $GITTREEDIR/VERSION ; then
+ . $GITTREEDIR/VERSION
fi
;;
*)
- SVNREPOPATH=$(echo "$$URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythtv/version.sh $$" | sed -e
's,.*/svn/,,' \
- -e 's,/mythtv/version\.sh.*,,' \
- -e 's,/version\.sh.*,,')
+ BRANCH=$(git branch --no-color | sed -e '/^[^\*]/d' -e 's/^\* //' -e
's/(no branch)/exported/')
;;
esac
@@ -41,7 +40,7 @@ cat > .vers.new <<EOF
#include "mythversion.h"
const MPUBLIC char *myth_source_version = "${SOURCE_VERSION}";
-const MPUBLIC char *myth_source_path = "${SVNREPOPATH}";
+const MPUBLIC char *myth_source_path = "${BRANCH}";
const MPUBLIC char *myth_binary_version = MYTH_BINARY_VERSION;
EOF
mythweb-0.24-fixes.patch:
mythplugins-0.24.fixes/mythweb/.gitignore |
3
mythplugins-0.24.fixes/mythweb/classes/Database.php |
8
mythplugins-0.24.fixes/mythweb/classes/Database/Query.php |
8
mythplugins-0.24.fixes/mythweb/classes/Database/Query/mysql.php |
8
mythplugins-0.24.fixes/mythweb/classes/Database/Query/mysqlicompat.php |
8
mythplugins-0.24.fixes/mythweb/classes/Database/mysql.php |
8
mythplugins-0.24.fixes/mythweb/classes/Database/mysqlicompat.php |
8
mythplugins-0.24.fixes/mythweb/classes/JSON.php |
8
mythplugins-0.24.fixes/mythweb/classes/Modules.php |
8
mythplugins-0.24.fixes/mythweb/classes/MythBackend.php |
8
mythplugins-0.24.fixes/mythweb/classes/MythBase.php |
8
mythplugins-0.24.fixes/mythweb/classes/MythFrontend.php |
8
mythplugins-0.24.fixes/mythweb/classes/Services/JSON.php |
2
mythplugins-0.24.fixes/mythweb/classes/Translate.php |
8
mythplugins-0.24.fixes/mythweb/includes/class_autoload.php |
8
mythplugins-0.24.fixes/mythweb/includes/cleanup.php |
8
mythplugins-0.24.fixes/mythweb/includes/config.php |
8
mythplugins-0.24.fixes/mythweb/includes/css.php |
8
mythplugins-0.24.fixes/mythweb/includes/data_dir.php |
8
mythplugins-0.24.fixes/mythweb/includes/database.php |
8
mythplugins-0.24.fixes/mythweb/includes/db_update.php |
14
mythplugins-0.24.fixes/mythweb/includes/defines.php |
8
mythplugins-0.24.fixes/mythweb/includes/errordisplay.php |
8
mythplugins-0.24.fixes/mythweb/includes/errors.php |
8
mythplugins-0.24.fixes/mythweb/includes/init.php |
8
mythplugins-0.24.fixes/mythweb/includes/jobqueue.php |
8
mythplugins-0.24.fixes/mythweb/includes/lockdown.php |
8
mythplugins-0.24.fixes/mythweb/includes/mobile.php |
8
mythplugins-0.24.fixes/mythweb/includes/mouseovers.php |
8
mythplugins-0.24.fixes/mythweb/includes/php_version_check.php |
8
mythplugins-0.24.fixes/mythweb/includes/session.php |
8
mythplugins-0.24.fixes/mythweb/includes/skin.php |
12
mythplugins-0.24.fixes/mythweb/includes/sorting.php |
8
mythplugins-0.24.fixes/mythweb/includes/translate.php |
8
mythplugins-0.24.fixes/mythweb/includes/utils.php |
13
mythplugins-0.24.fixes/mythweb/js/pngbehavior.htc |
6
mythplugins-0.24.fixes/mythweb/js/table_sort.js |
8
mythplugins-0.24.fixes/mythweb/js/utils.js |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/lang/Finnish.lang |
288 ++++++----
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/_errors/db_access_denied.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/_errors/db_vars_error.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/_errors/error.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/_errors/fatal.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/_errors/lockdown.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/_errors/no_modules.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/_errors/site_down.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/_errors/unknown_module.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/default/footer.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/default/header.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/default/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/iPod/footer.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/iPod/header.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/iPod/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/lite/footer.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/lite/header.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/lite/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/tmpl/header.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/wap/footer.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/wap/header.php |
8
mythplugins-0.24.fixes/mythweb/modules/_shared/tmpl/wap/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/backend_log/handler.php |
8
mythplugins-0.24.fixes/mythweb/modules/backend_log/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/backend_log/tmpl/default/backend_log.php |
8
mythplugins-0.24.fixes/mythweb/modules/backend_log/tmpl/default/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/backend_log/tmpl/lite/backend_log.php |
8
mythplugins-0.24.fixes/mythweb/modules/backend_log/tmpl/lite/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/coverart/handler.pl |
8
mythplugins-0.24.fixes/mythweb/modules/coverart/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/database/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/database/set_settings.php |
8
mythplugins-0.24.fixes/mythweb/modules/database/tmpl/default/set_settings.php |
8
mythplugins-0.24.fixes/mythweb/modules/music/handler.php |
8
mythplugins-0.24.fixes/mythweb/modules/music/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/music/mp3act_functions.php |
8
mythplugins-0.24.fixes/mythweb/modules/music/stream.php |
8
mythplugins-0.24.fixes/mythweb/modules/music/tmpl/default/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythtv/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythtv/set_keys.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythtv/set_settings.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythtv/tmpl/default/set_keys.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythtv/tmpl/default/set_settings.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythtv/tmpl/lite/set_keys.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythtv/tmpl/lite/set_settings.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythweb/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythweb/set_defaults.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythweb/set_flvplayer.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythweb/set_session.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythweb/tmpl/default/set_defaults.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythweb/tmpl/default/set_flvplayer.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythweb/tmpl/default/set_session.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythweb/tmpl/lite/set_defaults.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythweb/tmpl/lite/set_flvplayer.php |
8
mythplugins-0.24.fixes/mythweb/modules/mythweb/tmpl/lite/set_session.php |
8
mythplugins-0.24.fixes/mythweb/modules/remote/do.php |
8
mythplugins-0.24.fixes/mythweb/modules/remote/handler.php |
8
mythplugins-0.24.fixes/mythweb/modules/remote/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/remote/keys.php |
8
mythplugins-0.24.fixes/mythweb/modules/remote/play_program_on_frontend.php |
8
mythplugins-0.24.fixes/mythweb/modules/remote/screenshot.php |
8
mythplugins-0.24.fixes/mythweb/modules/remote/tmpl/default/keys.php |
8
mythplugins-0.24.fixes/mythweb/modules/remote/tmpl/default/remote.php |
8
mythplugins-0.24.fixes/mythweb/modules/remote/tmpl/default/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/remote/tmpl/iPod/play_program_on_frontend.php |
8
mythplugins-0.24.fixes/mythweb/modules/remote/tmpl/iPod/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/settings/handler.php |
8
mythplugins-0.24.fixes/mythweb/modules/settings/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/settings/tmpl/default/header.php |
8
mythplugins-0.24.fixes/mythweb/modules/settings/tmpl/default/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/settings/tmpl/lite/header.php |
8
mythplugins-0.24.fixes/mythweb/modules/settings/tmpl/lite/mythweb.php |
8
mythplugins-0.24.fixes/mythweb/modules/settings/tmpl/lite/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/stats/handler.php |
8
mythplugins-0.24.fixes/mythweb/modules/stats/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/stats/tmpl/default/stats.php |
8
mythplugins-0.24.fixes/mythweb/modules/stats/tmpl/default/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/stats/tmpl/lite/stats.php |
8
mythplugins-0.24.fixes/mythweb/modules/stats/tmpl/lite/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/status/handler.php |
8
mythplugins-0.24.fixes/mythweb/modules/status/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/status/tmpl/default/status.php |
8
mythplugins-0.24.fixes/mythweb/modules/status/tmpl/default/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/status/tmpl/lite/status.php |
8
mythplugins-0.24.fixes/mythweb/modules/status/tmpl/lite/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/status/tmpl/wap/status.php |
8
mythplugins-0.24.fixes/mythweb/modules/stream/handler.pl |
8
mythplugins-0.24.fixes/mythweb/modules/stream/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/stream/set_protocol.php |
8
mythplugins-0.24.fixes/mythweb/modules/stream/stream_asx.pl |
8
mythplugins-0.24.fixes/mythweb/modules/stream/stream_flv.pl |
10
mythplugins-0.24.fixes/mythweb/modules/stream/stream_flvp.pl |
8
mythplugins-0.24.fixes/mythweb/modules/stream/stream_mp4.pl |
8
mythplugins-0.24.fixes/mythweb/modules/stream/stream_raw.pl |
8
mythplugins-0.24.fixes/mythweb/modules/stream/tmpl/default/set_protocol.php |
8
mythplugins-0.24.fixes/mythweb/modules/stream/tmpl/lite/set_protocol.php |
8
mythplugins-0.24.fixes/mythweb/modules/stream/tv.pl |
8
mythplugins-0.24.fixes/mythweb/modules/tv/canned_searches.conf.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/channel.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/classes/Channel.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/classes/Program.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/classes/Recording.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/classes/Schedule.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/detail.php |
15
mythplugins-0.24.fixes/mythweb/modules/tv/get_pixmap.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/handler.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/includes/programs.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/includes/recording_schedules.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/includes/schedule_utils.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/list.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/list_recording_groups.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/list_shows_in_title_and_group.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/list_titles_in_group.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/opensearch.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/recorded.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/schedules.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/schedules_custom.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/schedules_manual.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/search.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/searches.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/set_channels.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/set_playgroup.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/set_screens.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/set_session.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/submenu.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/channel.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/detail.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/list.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/list_data.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/recorded.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/schedules.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/schedules_custom.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/schedules_manual.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/search.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/searches.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/set_channels.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/set_playgroup.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/set_screens.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/set_session.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/upcoming.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/default/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/iPod/detail.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/iPod/list_recording_groups.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/iPod/list_shows_in_title_and_group.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/iPod/list_titles_in_group.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/iPod/search.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/iPod/submenu.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/iPod/upcoming.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/iPod/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/ical/upcoming.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/lite/channel.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/lite/detail.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/lite/list.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/lite/recorded.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/lite/schedules.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/lite/schedules_custom.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/lite/schedules_manual.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/lite/search.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/lite/searches.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/lite/set_channels.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/lite/set_session.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/lite/upcoming.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/lite/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/rss/recorded.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/wap/channel.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/wap/detail.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/wap/list.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/wap/recorded.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/wap/search.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/tmpl/wap/upcoming.php |
8
mythplugins-0.24.fixes/mythweb/modules/tv/upcoming.php |
8
mythplugins-0.24.fixes/mythweb/modules/video/edit.php |
8
mythplugins-0.24.fixes/mythweb/modules/video/handler.php |
8
mythplugins-0.24.fixes/mythweb/modules/video/imdb.php |
8
mythplugins-0.24.fixes/mythweb/modules/video/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/video/scan.php |
8
mythplugins-0.24.fixes/mythweb/modules/video/set_settings.php |
8
mythplugins-0.24.fixes/mythweb/modules/video/tmpl/default/set_settings.php |
8
mythplugins-0.24.fixes/mythweb/modules/video/tmpl/default/video.php |
8
mythplugins-0.24.fixes/mythweb/modules/video/tmpl/default/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/weather/classes/WeatherScreen.php |
8
mythplugins-0.24.fixes/mythweb/modules/weather/handler.php |
8
mythplugins-0.24.fixes/mythweb/modules/weather/init.php |
8
mythplugins-0.24.fixes/mythweb/modules/weather/set_screen.php |
8
mythplugins-0.24.fixes/mythweb/modules/weather/tmpl/default/set_screen.php |
8
mythplugins-0.24.fixes/mythweb/modules/weather/tmpl/default/weather.18h.php |
8
mythplugins-0.24.fixes/mythweb/modules/weather/tmpl/default/weather.3d.php |
8
mythplugins-0.24.fixes/mythweb/modules/weather/tmpl/default/weather.6d.php |
8
mythplugins-0.24.fixes/mythweb/modules/weather/tmpl/default/weather.am.php |
8
mythplugins-0.24.fixes/mythweb/modules/weather/tmpl/default/weather.cc.php |
8
mythplugins-0.24.fixes/mythweb/modules/weather/tmpl/default/weather.php |
8
mythplugins-0.24.fixes/mythweb/modules/weather/tmpl/default/weather.sm.php |
8
mythplugins-0.24.fixes/mythweb/modules/weather/tmpl/default/welcome.php |
8
mythplugins-0.24.fixes/mythweb/modules/welcome.php |
8
mythplugins-0.24.fixes/mythweb/mythweb.php |
8
mythplugins-0.24.fixes/mythweb/mythweb.pl |
8
mythplugins-0.24.fixes/mythweb/skins/iPod-default/AppPanel.css |
35 -
mythplugins-0.24.fixes/mythweb/skins/iPod-default/ListPanel.css |
157 -----
mythplugins-0.24.fixes/mythweb/skins/iPod-default/header.css |
91 ---
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/Icons/cal.png |
16
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/Icons/clock.png |
19
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/Icons/logs.png |
20
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/Icons/music.png |
21
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/Icons/photos.png |
22
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/Icons/remote.png |
26
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/Icons/status.png |
24
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/Icons/tv.png |
18
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/Icons/video.png |
26
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/Icons/weather.png |
25
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/back_button.png |
23
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/back_button_clicked.png |
11
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/button_darkgray.png |
5
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/button_darkgray_pressed.png |
10
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/chevron.png |
5
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/chevron_touched.png |
3
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/favicon.ico |
3
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/header_middle.png |
5
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/item_background_touched.png |
4
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/off.png |
13
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/on.png |
14
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/pinstripes.png |
4
mythplugins-0.24.fixes/mythweb/skins/iPod-default/img/spinner.gif |
32 -
mythplugins-0.24.fixes/mythweb/skins/iPod-default/style.css |
19
mythweb/skins/iPod-default/img/Search Background.tiff |
2
263 files changed, 1138 insertions(+), 1686 deletions(-)
--- NEW FILE mythweb-0.24-fixes.patch ---
diff -Naurp mythplugins-0.24.orig/mythweb/classes/Database/mysqlicompat.php
mythplugins-0.24.fixes/mythweb/classes/Database/mysqlicompat.php
--- mythplugins-0.24.orig/mythweb/classes/Database/mysqlicompat.php 2008-11-08
21:42:14.000000000 -0500
+++ mythplugins-0.24.fixes/mythweb/classes/Database/mysqlicompat.php 2011-01-22
18:44:18.000000000 -0500
@@ -20,10 +20,10 @@
* compatibility so programs can take advantage of the better integration of
* mysqli but still run on older installations.
*
- * @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythplugins/mythweb/classes/D...
$
- * @date $Date: 2008-11-08 18:42:14 -0800 (Sat, 08 Nov 2008) $
- * @version $Revision: 19023 $
- * @author $Author: kormoc $
+ * @url $URL$
+ * @date $Date$
+ * @version $Revision$
+ * @author $Author$
* @copyright Silicon Mechanics
* @license GPL
*
diff -Naurp mythplugins-0.24.orig/mythweb/classes/Database/mysql.php
mythplugins-0.24.fixes/mythweb/classes/Database/mysql.php
--- mythplugins-0.24.orig/mythweb/classes/Database/mysql.php 2008-11-08 21:42:14.000000000
-0500
+++ mythplugins-0.24.fixes/mythweb/classes/Database/mysql.php 2011-01-22
18:44:18.000000000 -0500
@@ -13,10 +13,10 @@
*
* MySQL Database connection class.
*
- * @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythplugins/mythweb/classes/D...
$
- * @date $Date: 2008-11-08 18:42:14 -0800 (Sat, 08 Nov 2008) $
- * @version $Revision: 19023 $
- * @author $Author: kormoc $
+ * @url $URL$
+ * @date $Date$
+ * @version $Revision$
+ * @author $Author$
* @copyright Silicon Mechanics
* @license GPL
*
diff -Naurp mythplugins-0.24.orig/mythweb/classes/Database/Query/mysqlicompat.php
mythplugins-0.24.fixes/mythweb/classes/Database/Query/mysqlicompat.php
--- mythplugins-0.24.orig/mythweb/classes/Database/Query/mysqlicompat.php 2010-06-09
23:05:34.000000000 -0400
+++ mythplugins-0.24.fixes/mythweb/classes/Database/Query/mysqlicompat.php 2011-01-22
18:44:18.000000000 -0500
@@ -15,10 +15,10 @@
* This is also the parent class for the full/expanded mysqli query object,
* since many of the routines are shared between them.
*
- * @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythplugins/mythweb/classes/D...
$
- * @date $Date: 2010-06-09 20:05:34 -0700 (Wed, 09 Jun 2010) $
- * @version $Revision: 25070 $
- * @author $Author: kormoc $
+ * @url $URL$
+ * @date $Date$
+ * @version $Revision$
+ * @author $Author$
* @copyright Silicon Mechanics
* @license GPL
*
diff -Naurp mythplugins-0.24.orig/mythweb/classes/Database/Query/mysql.php
mythplugins-0.24.fixes/mythweb/classes/Database/Query/mysql.php
--- mythplugins-0.24.orig/mythweb/classes/Database/Query/mysql.php 2010-06-09
23:05:34.000000000 -0400
+++ mythplugins-0.24.fixes/mythweb/classes/Database/Query/mysql.php 2011-01-22
18:44:18.000000000 -0500
@@ -13,10 +13,10 @@
*
* Query handler for MySQL
*
- * @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythplugins/mythweb/classes/D...
$
- * @date $Date: 2010-06-09 20:05:34 -0700 (Wed, 09 Jun 2010) $
- * @version $Revision: 25070 $
- * @author $Author: kormoc $
+ * @url $URL$
+ * @date $Date$
+ * @version $Revision$
+ * @author $Author$
* @copyright Silicon Mechanics
* @license GPL
*
diff -Naurp mythplugins-0.24.orig/mythweb/classes/Database/Query.php
mythplugins-0.24.fixes/mythweb/classes/Database/Query.php
--- mythplugins-0.24.orig/mythweb/classes/Database/Query.php 2009-10-09 01:29:02.000000000
-0400
+++ mythplugins-0.24.fixes/mythweb/classes/Database/Query.php 2011-01-22
18:44:18.000000000 -0500
@@ -14,10 +14,10 @@
* This is an abstract superclass that defines the basic variables and functions
* used by possible subclasses.
*
- * @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythplugins/mythweb/classes/D...
$
- * @date $Date: 2009-10-08 22:29:02 -0700 (Thu, 08 Oct 2009) $
- * @version $Revision: 22328 $
- * @author $Author: kormoc $
+ * @url $URL$
+ * @date $Date$
+ * @version $Revision$
+ * @author $Author$
* @copyright Silicon Mechanics
* @license GPL
*
diff -Naurp mythplugins-0.24.orig/mythweb/classes/Database.php
mythplugins-0.24.fixes/mythweb/classes/Database.php
--- mythplugins-0.24.orig/mythweb/classes/Database.php 2008-06-01 19:52:54.000000000
-0400
+++ mythplugins-0.24.fixes/mythweb/classes/Database.php 2011-01-22 18:44:18.000000000
-0500
@@ -24,10 +24,10 @@
* define _errstr() and _errno() methods to return the appropriate database
* engine error string/number.
*
- * @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythplugins/mythweb/classes/D... $
- * @date $Date: 2008-06-01 16:52:54 -0700 (Sun, 01 Jun 2008) $
- * @version $Revision: 17434 $
- * @author $Author: kormoc $
+ * @url $URL$
+ * @date $Date$
+ * @version $Revision$
+ * @author $Author$
* @copyright Silicon Mechanics
* @license GPL
*
diff -Naurp mythplugins-0.24.orig/mythweb/classes/JSON.php
mythplugins-0.24.fixes/mythweb/classes/JSON.php
--- mythplugins-0.24.orig/mythweb/classes/JSON.php 2008-02-22 16:35:09.000000000 -0500
+++ mythplugins-0.24.fixes/mythweb/classes/JSON.php 2011-01-22 18:44:18.000000000 -0500
@@ -3,10 +3,10 @@
* Wrapper so we can support php less then 5.2 and/or installs without native json built
in.
* The native json is much faster, so prefer it if we can.
*
- * @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythplugins/mythweb/classes/J... $
- * @date $Date: 2008-02-22 13:35:09 -0800 (Fri, 22 Feb 2008) $
- * @version $Revision: 16202 $
- * @author $Author: xris $
+ * @url $URL$
+ * @date $Date$
+ * @version $Revision$
+ * @author $Author$
* @license GPL
*
* @package MythWeb
diff -Naurp mythplugins-0.24.orig/mythweb/classes/Modules.php
mythplugins-0.24.fixes/mythweb/classes/Modules.php
--- mythplugins-0.24.orig/mythweb/classes/Modules.php 2010-09-12 04:52:48.000000000 -0400
+++ mythplugins-0.24.fixes/mythweb/classes/Modules.php 2011-01-22 18:44:18.000000000
-0500
@@ -2,10 +2,10 @@
/**
* Handling Modules
*
- * @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythplugins/mythweb/classes/M... $
- * @date $Date: 2010-09-12 01:52:48 -0700 (Sun, 12 Sep 2010) $
- * @version $Revision: 26245 $
- * @author $Author: xris $
+ * @url $URL$
+ * @date $Date$
+ * @version $Revision$
+ * @author $Author$
* @license GPL
*
* @package MythTV
diff -Naurp mythplugins-0.24.orig/mythweb/classes/MythBackend.php
mythplugins-0.24.fixes/mythweb/classes/MythBackend.php
--- mythplugins-0.24.orig/mythweb/classes/MythBackend.php 2010-10-06 23:35:10.000000000
-0400
+++ mythplugins-0.24.fixes/mythweb/classes/MythBackend.php 2011-01-22 18:44:18.000000000
-0500
@@ -1,10 +1,10 @@
<?php
/**
*
- * @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythplugins/mythweb/classes/M... $
- * @date $Date: 2010-10-06 20:35:10 -0700 (Wed, 06 Oct 2010) $
- * @version $Revision: 26688 $
- * @author $Author: kormoc $
+ * @url $URL$
+ * @date $Date$
+ * @version $Revision$
+ * @author $Author$
* @license GPL
*
* @package MythTV
diff -Naurp mythplugins-0.24.orig/mythweb/classes/MythBase.php
mythplugins-0.24.fixes/mythweb/classes/MythBase.php
--- mythplugins-0.24.orig/mythweb/classes/MythBase.php 2010-08-28 16:16:22.000000000
-0400
+++ mythplugins-0.24.fixes/mythweb/classes/MythBase.php 2011-01-22 18:44:18.000000000
-0500
@@ -2,10 +2,10 @@
/**
* This is the base object to handle all the common features for all myth classes
*
- * @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythplugins/mythweb/classes/M... $
- * @date $Date: 2010-08-28 13:16:22 -0700 (Sat, 28 Aug 2010) $
- * @version $Revision: 25914 $
- * @author $Author: xris $
+ * @url $URL$
+ * @date $Date$
+ * @version $Revision$
+ * @author $Author$
* @license GPL
*
* @package MythWeb
diff -Naurp mythplugins-0.24.orig/mythweb/classes/MythFrontend.php
mythplugins-0.24.fixes/mythweb/classes/MythFrontend.php
--- mythplugins-0.24.orig/mythweb/classes/MythFrontend.php 2010-09-12 02:55:38.000000000
-0400
+++ mythplugins-0.24.fixes/mythweb/classes/MythFrontend.php 2011-01-22 18:44:18.000000000
-0500
@@ -2,10 +2,10 @@
/**
* Connection routines for the new socket interface to mythfrontend.
*
- * @url $URL:
http://svn.mythtv.org/svn/tags/release-0-24/mythplugins/mythweb/classes/M...
$
- * @date $Date: 2010-09-11 23:55:38 -0700 (Sat, 11 Sep 2010) $
- * @version $Revision: 26244 $
- * @author $Author: xris $
+ * @url $URL$
+ * @date $Date$
+ * @version $Revision$
+ * @author $Author$
* @license GPL
*
* @package MythTV
diff -Naurp mythplugins-0.24.orig/mythweb/classes/Services/JSON.php
mythplugins-0.24.fixes/mythweb/classes/Services/JSON.php
[...5566 lines suppressed...]
-1- Ea5l)+!